#!/usr/bin/perl
use strict;
use warnings;

open(my $config,'<','.config') or die $!;
while (my $line = <$config>) {
  if ($line =~ m/^TSWO_(.*?)_RUNTIME_DEPENDS=\"(.*?)\"$/) {
    my $package = $1;
    my @deps = split(/ /,$2);

    my $config_file = (glob("target/software/*/$package/Config.in"))[0];
    # probably toolchain component
    next if (!$config_file);

    local $/;
    open(my $pkg_config,'<',$config_file) or die $!;
    my $file_data = <$pkg_config>;
    close($pkg_config);

    my $dep_txt;
    foreach my $dep (@deps) {
      if ($file_data !~ m/select.*?TSWO_SOFTWARE_$dep/) {
        $dep_txt .= "    select TSWO_SOFTWARE_$dep\n";
      }
    }
    if ($dep_txt) {
        print "$config_file\n";
        print "$dep_txt";
    }

  }
}
close($config);


