#!/bin/bash
# Copyright (C) 2007-2009 Timesys Corporation

. `dirname $0`/checktool-functions.sh

ANY_ERRORS=n
CONFIG=${WORKORDER}

echo "-- Checking platform for compatibility with oprofile --"

if check TSWO_SOFTWARE_oprofile=y TSWO_SOFTWARE_bash=y; then
  echo "Problems with platform configuration (workorder):"
  echo -n "${ERRORS}"
fi

check_bbox

check_bbox_app coreutils MKNOD CHMOD MV RM LN MKDIR CAT LS TR TOUCH SLEEP EXPR SEQ
check_bbox_app gawk AWK
check_bbox_app grep GREP
check_bbox_app util-linux MOUNT UMOUNT
check_bbox_app which WHICH
check_bbox_app mktemp MKTEMP
check_bbox_app sysvinit PIDOF
if [ "${BBERRORS}" ]; then
  echo "${BBERRORS}"
fi

if check TSWO_INSTALL_KERNEL_DEBUG_TO_TARGET=y TSWO_INSTALL_TOOLCHAIN_TO_TARGET=y; then
  echo "Kernel-level profiling will not work:"
  echo "$ERRORS"
fi

CONFIG=${KERNEL_CONFIG}

if check CONFIG_PROFILING=y CONFIG_OPROFILE=y; then
  echo "Kernel configuration problems:"
  echo "${ERRORS}"
fi

CONFIG=${BB_CONFIG}

if check_bbox_config; then
  echo "Busybox configuration problems:"
  echo "${ERRORS}"
fi

if [ ${ANY_ERRORS} == n ]; then
  echo "All checks passed"
else
  echo "Check complete, details are above."
fi
echo "For information on using oprofile see:"
echo "  https://linuxlink.timesys.com/docs/wiki/engineering/HOWTO_Use_oprofile"

