#!/usr/bin/python
# Copyright (C) 2007-2009 Timesys Corporation

import sys
import csv

class entry:
  label = None
  category = None
  type = None
  status = None

if (len(sys.argv) < 4):
  print "Usage: ./bin/import_drivers_to_db.py <unit_id> <dotconfig> <redmine_csv> [<redmine_csv>...]"
  exit(1)

unit_id = sys.argv[1]
config_file = sys.argv[2]
csv_files = sys.argv[3:]

entries = dict()

for filename in csv_files:
  reader = csv.reader(open(filename, "rb"))
  fields = reader.next()
  label_index = fields.index("Subject")
  category_index = fields.index("Category")
  config_index = fields.index("Config Options")
  type_index = fields.index("Tracker")
  status_index = fields.index("Status")
  for row in reader:
    driver_config_lines = row[config_index].strip().splitlines()
    config_reader = open(config_file)
    for read_line in config_reader.readlines():
      try:
        driver_config_lines.remove(read_line.strip())
      except ValueError:
        pass
    config_reader.close()
    enabled = (len(driver_config_lines) == 0)
    e = entry()
    e.label = row[label_index].strip()
    entries[e.label] = e
    e.category = row[category_index].strip()
    e.type = row[type_index].lower().strip()
    status = row[status_index].lower()
    # convert enablement and redmine status into our status string
    if (enabled and status == "works"):
      e.status = "enabled"
    elif (status == "new"):
      e.status = "unimplemented"
    elif status in ("broken", "unimplemented"):
      e.status = status
    else:
      if enabled:
        e.status = status
      else:
        e.status = "%s, disabled" % status

for e in entries.values():
    print "INSERT INTO unitattribute (name,value,unit_id) values ('%s:%s:%s','%s',%s);" % (e.type, e.category, e.label, e.status, unit_id)

