#!/bin/bash

if [ -z "$1" ]; then
  echo "Usage: $0 [package] [|-all]"
  exit 1
fi

if [ "$2" = "-all" ]; then
  grep _RUNTIME_DEP .config | grep $1 | cut -f1 -d=| sed -re "s/TSWO_//" -e "s/_RUNTIME_DEPENDS//" | grep -v $1
else
  for req in $(grep _RUNTIME_DEP .config | grep $1 | cut -f1 -d=| sed -re "s/TSWO_//" -e "s/_RUNTIME_DEPENDS//")
  do
    if [ -n "$(grep "^TSWO_SOFTWARE_$req" .config)" ]; then
      echo $req
    fi
  done | grep -v $1
fi

TEMPLATES=$(grep TSWO_PLATFORM_TEMPLATE target/software/*/$1/Config.in 2>/dev/null | sed -re 's/default y if//' -e 's/\|\|//g' -e 's/select.*? if\W+\!?//' | sort | uniq)
for TEMPLATE in $TEMPLATES
do
  if [ -n "$TEMPLATE" ]; then
    TEMPLATE_DESC=$(sed -n "/^config $TEMPLATE/,/help/p" target/Config.in.templates | sed -r -e '/^config/d' -e '/help/d' -e '/select /d' -e 's/.*"(.*)"/\1/')
    if [ "$2" = "-all" ]; then
      echo "[$TEMPLATE_DESC]"
    else
      if [ -n "$(grep $TEMPLATE=y .config)" ]; then
        echo "[$TEMPLATE_DESC]"
      fi
    fi
  fi
done
