# Copyright (C) 2007-2009 Timesys Corporation
ENCODED_WO:=$(shell mktemp)
TIMESYS_SERVER=https://linuxlink.timesys.com

# TODO: If we end up with more than one auth-required wget post, then
#   we should probably centralize this in another include.
# arg1 -> server to post
# arg2 -> absolute path on server
# arg3 -> encoded post-data file
# arg4 -> Name of service
define AUTH_POST
SHORTNAME=`echo $1 | sed 's|^https\?://||'`; \
AUTH_ARG=$$(wget --auth-no-challenge 2>&1 | grep 'wget: unrecognized option `--auth-no-challenge' > /dev/null || echo --auth-no-challenge); \
OUTPUT="`wget -q $${AUTH_ARG} -O - $1$2 --post-file=$3`"; \
if [ -z "$${OUTPUT}" ]; then \
  echo "Error accessing $4 service on $$SHORTNAME"; \
else \
  LINE1="`echo "$${OUTPUT}" | head -1`"; \
  if echo "$${LINE1}" | egrep "^MESSAGE_" > /dev/null; then \
    if [ "$${LINE1}" == "MESSAGE_AUTH_NOT_PROVIDED" ]; then \
      echo "Service for $4 requires authentication with $$SHORTNAME."; \
      echo "Please add an entry with your username and password to your ~/.netrc file."; \
    elif [ "$${LINE1}" == "MESSAGE_AUTH_INCORRECT" ]; then \
      echo "Incorrect authentication data for $$SHORTNAME while accessing $4 service."; \
      echo "Please check your username and password in your ~/.netrc file."; \
    else \
      echo "Unknown message from $$SHORTNAME while accessing $4 service: $${LINE1}."; \
    fi; \
    echo "$${OUTPUT}" | tail --lines=+2; \
  else \
    echo "$${OUTPUT}"; \
  fi ;\
fi
endef

advice:
	@echo "workOrder=" > $(ENCODED_WO)
	@sed -f bin/urlencode.sed .config >> $(ENCODED_WO)
	@echo "Connecting to advice server..."
	@echo
	-@$(call AUTH_POST,$(TIMESYS_SERVER),/desktop_factory/advice,$(ENCODED_WO),advice)
	@rm -f $(ENCODED_WO)
	@echo

