# Copyright (C) 2007-2009 Timesys Corporation

.PHONY: installer

INSTALLER_SUFFIX=development-environment

INSTALLER_DEPS=host target packages kernel-host-install
ifneq (,$(strip $(call UNQUOTE_VAR,$(TSWO_BUILD_RFS))))
INSTALLER_DEPS+=rfs-image-tar
endif
ifneq (,$(strip $(call UNQUOTE_VAR,$(TSWO_PACKAGE_KERNEL_SOURCE))))
INSTALLER_DEPS+=kernel-source-package
endif

kernel_SRC_PKG_NAME=$(PACKAGE_DIR)/kernel-source-$(kernel_VERSION)-$(TSWO_FULL_TARGET_NAME).tgz

installer: $(INSTALLER_DEPS)
	$(call PRINT_INFO,Creating distribution installer)
	mkdir -p $(BUILD_DIR)/installer
	cp -f $(BUILD_DIR)/toolchain-final-*.tgz $(BUILD_DIR)/installer/toolchain.tgz
	cp -f $(IMAGES_DIR)/$(FINAL_KERNEL_SHORTFILENAME)-$(kernel_VERSION)$(kernel_EXTRAVERSION) $(BUILD_DIR)/installer/
	-cp -f $(IMAGES_DIR)/*.dtb $(BUILD_DIR)/installer/
	-cp -f $(IMAGES_DIR)/rfs/rootfs.tar.gz $(BUILD_DIR)/installer/
	-cp -f $(kernel_SRC_PKG_NAME) $(BUILD_DIR)/installer/kernel-source.tgz
	cp -f $(BASE_DIR)/target/installer/install $(BUILD_DIR)/installer/
	if [ -d $(IMAGES_DIR)/bootloader ]; then tar -C $(IMAGES_DIR)/ -czf $(BUILD_DIR)/installer/bootloader.tar.gz bootloader ; fi
	if [ -f $(BASE_DIR)/eula ]; then cp -rf $(BASE_DIR)/eula $(BUILD_DIR)/installer/;fi
	chmod +x $(BUILD_DIR)/installer/install
	sed -i -r \
		-e "s/TSWO_BOARD/$(TSWO_BOARD)/" \
		-e "s/TSWO_ARCH/$(TSWO_ARCH)/" \
		-e "s,TSWO_HOST_INSTALL_DIR,$(TSWO_HOST_INSTALL_DIR)," \
		-e "s/TSWO_FULL_TARGET_NAME/$(TSWO_FULL_TARGET_NAME)/" \
		-e "s/TSWO_kernel_VERSION/$(kernel_VERSION)/" \
		-e "s/TSWO_KERNEL_FILENAME/$(FINAL_KERNEL_SHORTFILENAME)-$(kernel_VERSION)$(kernel_EXTRAVERSION)/" \
		-e "s/BUILDDATE/\"$$(date +"%a %b %d %H:%M:%S %Y")\"/g" \
		$(BUILD_DIR)/installer/install
	cd $(BUILD_DIR)/installer && \
		$(TAR) --ignore-failed-read -czf installation.tar.gz eula install kernel-source.tgz rootfs.tar.gz bootloader.tar.gz toolchain.tgz $(FINAL_KERNEL_SHORTFILENAME)-$(kernel_VERSION)$(kernel_EXTRAVERSION)
	cd $(BUILD_DIR)/installer && \
		cat $(BASE_DIR)/target/installer/self-extract.sh > $(BUILD_DIR)/$(TSWO_BOARD)-$(INSTALLER_SUFFIX).sh
	cd $(BUILD_DIR)/installer && \
		cat installation.tar.gz >> $(BUILD_DIR)/$(TSWO_BOARD)-$(INSTALLER_SUFFIX).sh
	chmod +x $(BUILD_DIR)/$(TSWO_BOARD)-$(INSTALLER_SUFFIX).sh
	rm -rf $(BUILD_DIR)/installer

# vim:set noexpandtab: 
