# Copyright (C) 2007-2010 Timesys Corporation
# gpe-clock rules


$(eval $(call COMMON_SETUP,gpe-clock))

$(BUILD_DIR)/gpe-clock-$(gpe-clock_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-clock-$(gpe-clock_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-clock $(gpe-clock_VERSION))
	cd $(gpe-clock_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-clock_MAKE_CMD) \
        $(gpe-clock_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-clock-$(gpe-clock_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-clock $(gpe-clock_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-clock_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-clock_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-clock_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-clock-$(gpe-clock_VERSION)/.stamp_packaged:
	cd $(gpe-clock_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-clock_MAKE_CMD) DESTDIR=$(gpe-clock_PKG_INSTALL_DIR) install \
        $(gpe-clock_BUILD_OPTIONS)
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-clock))
SOFTWARE+=gpe-clock
endif


# vim:set noexpandtab filetype=make: 
