# Copyright (C) 2007-2010 Timesys Corporation
# gpe-confd rules


$(eval $(call COMMON_SETUP,gpe-confd))

$(BUILD_DIR)/gpe-confd-$(gpe-confd_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-confd-$(gpe-confd_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-confd $(gpe-confd_VERSION))
	cd $(gpe-confd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-confd_MAKE_CMD) \
        $(gpe-confd_BUILD_OPTIONS)
	@touch $@


$(BUILD_DIR)/gpe-confd-$(gpe-confd_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-confd $(gpe-confd_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-confd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-confd_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-confd_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-confd-$(gpe-confd_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post install steps for gpe-confd)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d
	-cp -f $(gpe-confd_SRC_DL_DIR)/80gpe-confd $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/80gpe-confd
	-rm -f $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/70gpe-confd
	@touch $(@);

$(BUILD_DIR)/gpe-confd-$(gpe-confd_VERSION)/.stamp_packaged:
	cd $(gpe-confd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-confd_MAKE_CMD) DESTDIR=$(gpe-confd_PKG_INSTALL_DIR) install \
        $(gpe-confd_BUILD_OPTIONS)
	mkdir -p $(gpe-confd_PKG_INSTALL_DIR)/etc/X11/Xsession.d
	-cp -f $(gpe-confd_SRC_DL_DIR)/80gpe-confd $(gpe-confd_PKG_INSTALL_DIR)/etc/X11/Xsession.d/
	-chmod +x $(gpe-confd_PKG_INSTALL_DIR)/etc/X11/Xsession.d/80gpe-confd
	-rm -f $(gpe-confd_PKG_INSTALL_DIR)/etc/X11/Xsession.d/70gpe-confd
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-confd))
SOFTWARE+=gpe-confd
endif


# vim:set noexpandtab filetype=make: 
