# Copyright (C) 2007-2010 Timesys Corporation
# gpe-gallery rules


$(eval $(call COMMON_SETUP,gpe-gallery))

$(BUILD_DIR)/gpe-gallery-$(gpe-gallery_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-gallery-$(gpe-gallery_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-gallery $(gpe-gallery_VERSION))
	cd $(gpe-gallery_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-gallery_MAKE_CMD) \
        $(gpe-gallery_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-gallery-$(gpe-gallery_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-gallery $(gpe-gallery_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-gallery_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-gallery_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-gallery_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-gallery-$(gpe-gallery_VERSION)/.stamp_packaged:
	cd $(gpe-gallery_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-gallery_MAKE_CMD) DESTDIR=$(gpe-gallery_PKG_INSTALL_DIR) install \
        $(gpe-gallery_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-gallery))
SOFTWARE+=gpe-gallery
endif


# vim:set noexpandtab filetype=make: 
