# Copyright (C) 2007-2010 Timesys Corporation
# gpe-irc rules


$(eval $(call COMMON_SETUP,gpe-irc))

$(BUILD_DIR)/gpe-irc-$(gpe-irc_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-irc-$(gpe-irc_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-irc $(gpe-irc_VERSION))
	cd $(gpe-irc_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-irc_MAKE_CMD) \
        $(gpe-irc_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-irc-$(gpe-irc_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-irc $(gpe-irc_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-irc_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-irc_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-irc_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-irc-$(gpe-irc_VERSION)/.stamp_packaged:
	cd $(gpe-irc_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-irc_MAKE_CMD) DESTDIR=$(gpe-irc_PKG_INSTALL_DIR) install \
        $(gpe-irc_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-irc))
SOFTWARE+=gpe-irc
endif


# vim:set noexpandtab filetype=make: 
