# Copyright (C) 2007-2010 Timesys Corporation
# gpe-su rules


$(eval $(call COMMON_SETUP,gpe-su))

$(BUILD_DIR)/gpe-su-$(gpe-su_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-su-$(gpe-su_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-su $(gpe-su_VERSION))
	cd $(gpe-su_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-su_MAKE_CMD) \
        $(gpe-su_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-su-$(gpe-su_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-su $(gpe-su_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-su_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-su_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-su_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-su-$(gpe-su_VERSION)/.stamp_packaged:
	cd $(gpe-su_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-su_MAKE_CMD) DESTDIR=$(gpe-su_PKG_INSTALL_DIR) install \
        $(gpe-su_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-su))
SOFTWARE+=gpe-su
endif


# vim:set noexpandtab filetype=make: 
