# Copyright (C) 2007-2010 Timesys Corporation
# gpe-tetris rules


$(eval $(call COMMON_SETUP,gpe-tetris))

$(BUILD_DIR)/gpe-tetris-$(gpe-tetris_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-tetris-$(gpe-tetris_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-tetris $(gpe-tetris_VERSION))
	cd $(gpe-tetris_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-tetris_MAKE_CMD) \
        $(gpe-tetris_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-tetris-$(gpe-tetris_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-tetris $(gpe-tetris_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-tetris_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-tetris_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-tetris_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-tetris-$(gpe-tetris_VERSION)/.stamp_packaged:
	cd $(gpe-tetris_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-tetris_MAKE_CMD) DESTDIR=$(gpe-tetris_PKG_INSTALL_DIR) install \
        $(gpe-tetris_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-tetris))
SOFTWARE+=gpe-tetris
endif


# vim:set noexpandtab filetype=make: 
