# Copyright (C) 2007-2010 Timesys Corporation
# gsoko rules


$(eval $(call COMMON_SETUP,gsoko))

$(BUILD_DIR)/gsoko-$(gsoko_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gsoko-$(gsoko_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gsoko $(gsoko_VERSION))
	cd $(gsoko_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gsoko_MAKE_CMD) \
        $(gsoko_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gsoko-$(gsoko_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gsoko $(gsoko_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gsoko_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gsoko_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gsoko_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gsoko-$(gsoko_VERSION)/.stamp_packaged:
	cd $(gsoko_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gsoko_MAKE_CMD) DESTDIR=$(gsoko_PKG_INSTALL_DIR) install \
        $(gsoko_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gsoko))
SOFTWARE+=gsoko
endif


# vim:set noexpandtab filetype=make: 
