# Copyright (C) 2007-2010 Timesys Corporation
# icon-naming-utils rules

# Define common macros for icon-naming-utils from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,icon-naming-utils))

$(BUILD_DIR)/icon-naming-utils-$(icon-naming-utils_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,building icon-naming-utils host copy)
	mkdir -p $(@D)/icon-naming-utils-host-build
	$(INFLATE$(suffix $(icon-naming-utils_SOURCE))) $(icon-naming-utils_SRC_DL_DIR)/$(icon-naming-utils_SOURCE) | \
		$(TAR) -C $(@D)/icon-naming-utils-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(icon-naming-utils_PATCHES),$(call APPLY_PATCH,$(@D)/icon-naming-utils-host-build/$(icon-naming-utils_WORKINGDIR),$(icon-naming-utils_SRC_DL_DIR)/$(patch)))
	cd $(@D)/icon-naming-utils-host-build/$(icon-naming-utils_WORKINGDIR) && \
		./configure \
			--prefix=$(TSWO_HOST_INSTALL_DIR) && \
		make && \
		make install
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_icon-naming-utils))
SOFTWARE+=icon-naming-utils
endif


# vim:set noexpandtab filetype=make: 
