# Copyright (C) 2007-2010 Timesys Corporation
# miniclipboard rules


$(eval $(call COMMON_SETUP,miniclipboard))

$(BUILD_DIR)/miniclipboard-$(miniclipboard_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/miniclipboard-$(miniclipboard_VERSION)/.stamp_built:
	$(call PRINT_INFO,building miniclipboard $(miniclipboard_VERSION))
	cd $(miniclipboard_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(miniclipboard_MAKE_CMD) \
        $(miniclipboard_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/miniclipboard-$(miniclipboard_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing miniclipboard $(miniclipboard_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(miniclipboard_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(miniclipboard_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(miniclipboard_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/miniclipboard-$(miniclipboard_VERSION)/.stamp_packaged:
	cd $(miniclipboard_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(miniclipboard_MAKE_CMD) DESTDIR=$(miniclipboard_PKG_INSTALL_DIR) install \
        $(miniclipboard_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_miniclipboard))
SOFTWARE+=miniclipboard
endif


# vim:set noexpandtab filetype=make: 
