# Copyright (C) 2007-2010 Timesys Corporation
# qt-about-timesys rules

# Define common macros for qt-about-timesys from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,qt-about-timesys))

$(BUILD_DIR)/qt-about-timesys-$(qt-about-timesys_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring qt-about-timesys $(qt-about-timesys_VERSION))
	$(call CONFIG_UPDATE,$(qt-about-timesys_DDIR))
	cd $(qt-about-timesys_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(QMAKE) \
        	$(qt-about-timesys_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/qt-about-timesys-$(qt-about-timesys_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing qt-about-timesys $(qt-about-timesys_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/bin
	cd $(qt-about-timesys_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(qt-about-timesys_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(qt-about-timesys_MAKE_CMD) INSTALL_ROOT=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/qt-about-timesys-$(qt-about-timesys_VERSION)/.stamp_packaged: $(BUILD_DIR)/qt-about-timesys-$(qt-about-timesys_VERSION)/.stamp_pre_packaged
	cd $(qt-about-timesys_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(qt-about-timesys_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(qt-about-timesys_MAKE_CMD) INSTALL_ROOT=$(qt-about-timesys_PKG_INSTALL_DIR) install
	@touch $@

ifeq (y,$(TSWO_SOFTWARE_qt-about-timesys))
SOFTWARE+=qt-about-timesys
endif


# vim:set noexpandtab filetype=make: 
