# Copyright (C) 2007-2010 Timesys Corporation
# cmake rules

# Define common macros for cmake from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,cmake))

cmake-host-build: cmake-patch $(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_host_built
$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_host_built:
	mkdir -p $(TSWO_FAKE_INSTALL_DIR)
	cd $(cmake_DDIR) && \
		mkdir host-build
	cd $(cmake_DDIR)/host-build && \
		../bootstrap --prefix=$(TSWO_FAKE_INSTALL_DIR)
	cd $(cmake_DDIR)/host-build && \
		make
	cd $(cmake_DDIR)/host-build && \
		make install
	echo 'SET(CMAKE_SYSTEM_NAME Linux)' > $(TSWO_HOST_INSTALL_DIR)/toolchain.cmake
	echo 'SET(CMAKE_C_COMPILER   $(TSWO_FULL_TARGET_NAME)-gcc)' >> $(TSWO_HOST_INSTALL_DIR)/toolchain.cmake
	echo 'SET(CMAKE_CXX_COMPILER $(TSWO_FULL_TARGET_NAME)-g++)' >> $(TSWO_HOST_INSTALL_DIR)/toolchain.cmake
	echo 'SET(CMAKE_FIND_ROOT_PATH  $${TSWO_HOST_INSTALL_DIR})' >> $(TSWO_HOST_INSTALL_DIR)/toolchain.cmake
	echo 'SET(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)' >> $(TSWO_HOST_INSTALL_DIR)/toolchain.cmake
	echo 'SET(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)' >> $(TSWO_HOST_INSTALL_DIR)/toolchain.cmake
	echo 'SET(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)' >> $(TSWO_HOST_INSTALL_DIR)/toolchain.cmake
	@touch $@



CMAKE_CHAR_SIGNED=0
ifneq (,$(filter $(TSWO_KERNEL_ARCH),i386 x86 x86_64 nios2 sparc))
CMAKE_CHAR_SIGNED=1
endif

$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_pre_configured: cmake-host-build
	mkdir -p $(cmake_DDIR)/target-build
	@touch $@

$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring cmake $(cmake_VERSION))
	cd $(cmake_DDIR)/target-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(CMAKE) $(cmake_BUILD_OPTIONS) ..
	@touch $@

$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_host_installed:
	@touch $@

# XXX this is a hack... cmake doesn't like cross building itself
$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_pre_built:
	cd $(cmake_DDIR)/target-build && \
		$(SED) -i -re 's,[\.\/]*\.\./bin/(c[a-z]+),\1,' \
			Utilities/CMakeFiles/documentation.dir/build.make && \
		$(SED) -i -re 's,\tbin/cmake,\tcmake,' Makefile
	@touch $@

$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_built:
	$(call PRINT_INFO,building cmake $(cmake_VERSION))
	cd $(cmake_DDIR)/target-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(cmake_MAKE_CMD)
	@touch $@

$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_packaged: DESTDIR=$(cmake_PKG_INSTALL_DIR)
$(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/cmake-$(cmake_VERSION)/.stamp_packaged:
	cd $(cmake_DDIR)/target-build && \
		$(SED) -i -re 's,[\.\/]*\.\./bin/(c[a-z]+),\1,' \
			Utilities/CMakeFiles/documentation.dir/build.make && \
		$(SED) -i -re 's,\tbin/cmake,\tcmake,' Makefile
	cd $(cmake_DDIR)/target-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(cmake_MAKE_CMD) DESTDIR=$(DESTDIR) install
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_cmake))
SOFTWARE+=cmake
endif


# vim:set noexpandtab filetype=make: 
