# Copyright (C) 2007-2010 Timesys Corporation
# git rules

# Define common macros for git from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,git))

ifeq (y,$(TSWO_SOFTWARE_openssl))
git-patch: openssl-host-install
else
git_CONFIGURE_OPTIONS+=--with-openssl=no
endif
ifeq (y,$(TSWO_SOFTWARE_curl))
git-patch: curl-host-install
else
git_CONFIGURE_OPTIONS+=--with-curl=no
endif
ifeq (y,$(TSWO_SOFTWARE_expat))
git-patch: expat-host-install
else
git_CONFIGURE_OPTIONS+=--with-expat=no
endif
ifeq (y,$(TSWO_SOFTWARE_tk))
git-patch: tk-host-install
else
git_CONFIGURE_OPTIONS+=--with-tcltk=no
endif

$(BUILD_DIR)/git-$(git_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_git))
SOFTWARE+=git
endif


# vim:set noexpandtab filetype=make: 
