# Copyright (C) 2007-2010 Timesys Corporation
# libelf rules

# Define common macros for libelf from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libelf))


$(BUILD_DIR)/libelf-$(libelf_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing libelf $(libelf_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(libelf_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(libelf_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(libelf_MAKE_CMD) instroot=$(TSWO_HOST_INSTALL_DIR) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/libelf-$(libelf_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing libelf $(libelf_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(libelf_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(libelf_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(libelf_MAKE_CMD) instroot=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/libelf-$(libelf_VERSION)/.stamp_packaged:
	cd $(libelf_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(libelf_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(libelf_MAKE_CMD) instroot=$(libelf_PKG_INSTALL_DIR) install
	@touch $@

libelf-toolchain-host-install: $(FAKEROOT_HOST_INSTALL_TARGET) libelf-patch $(BUILD_DIR)/libelf-$(libelf_VERSION)/.stamp_toolchain_host_installed
LIBELF_HOST_BUILD_DIR=$(BUILD_DIR)/libelf-$(libelf_VERSION)/libelf-host-build
LIBELF_HOST_INSTALL_DIR=$(BUILD_DIR)/libelf-$(libelf_VERSION)/libelf-host-install
$(BUILD_DIR)/libelf-$(libelf_VERSION)/.stamp_toolchain_host_installed:
	mkdir -p $(LIBELF_HOST_BUILD_DIR)
	@$(INFLATE$(suffix $(libelf_SOURCE))) $(libelf_SRC_DL_DIR)/$(libelf_SOURCE) | \
		$(TAR) -C $(LIBELF_HOST_BUILD_DIR) $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(libelf_PATCHES),$(call APPLY_PATCH,$(LIBELF_HOST_BUILD_DIR)/$(libelf_WORKINGDIR),$(libelf_SRC_DL_DIR)/$(patch)))
	cd $(LIBELF_HOST_BUILD_DIR)/$(libelf_WORKINGDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	cd $(LIBELF_HOST_BUILD_DIR)/$(libelf_WORKINGDIR) && rm -rf config.cache 2>/dev/null && \
		$(HOST_BUILD_OPTIONS) \
		./configure \
		--prefix=$(LIBELF_HOST_INSTALL_DIR)/ \
		--disable-shared \
			$(HOST_CONFIGURE_OPTIONS) \
			$(TSWO_HOST_NAME)
	cd $(LIBELF_HOST_BUILD_DIR)/$(libelf_WORKINGDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE)
	cd $(LIBELF_HOST_BUILD_DIR)/$(libelf_WORKINGDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) install
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libelf))
SOFTWARE+=libelf
endif


# vim:set noexpandtab filetype=make: 
