# Copyright (C) 2007-2010 Timesys Corporation
# mpatrol rules

# Define common macros for mpatrol from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mpatrol))


$(BUILD_DIR)/mpatrol-$(mpatrol_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/mpatrol-$(mpatrol_VERSION)/.stamp_built:
	$(call PRINT_INFO,building mpatrol $(mpatrol_VERSION))
	cd $(mpatrol_DDIR)/build/unix && \
		PATH=$(BUILD_PATH) \
		$(mpatrol_MAKE_CMD) libmpatrol.a libmpatrolmt.a mpatrol mprof mleak mptrace \
			$(TARGET_ALIASES) \
        	$(mpatrol_BUILD_OPTIONS) \
			OFLAGS="-O0 -g"
	@touch $@

# mpatrol should always be installed to the host when selected
$(BUILD_DIR)/mpatrol-$(mpatrol_VERSION)/.stamp_rfs_installed: $(BUILD_DIR)/mpatrol-$(mpatrol_VERSION)/.stamp_host_installed
	$(call PRINT_INFO,installing mpatrol $(mpatrol_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/{bin,include,lib}
	cd $(mpatrol_DDIR) && \
		cp -f build/unix/{mpatrol,mprof,mleak,mptrace} $(TSWO_RFS_INSTALL_DIR)/usr/bin/ && \
		cp -f build/unix/libmpatrol*.a $(TSWO_RFS_INSTALL_DIR)/usr/lib/ && \
		cp -f src/mpatrol.h $(TSWO_RFS_INSTALL_DIR)/usr/include/
	@touch $@

$(BUILD_DIR)/mpatrol-$(mpatrol_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing mpatrol $(mpatrol_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)/{lib,include}
	cd $(mpatrol_DDIR) && \
		cp -f build/unix/libmpatrol*.a $(TSWO_HOST_INSTALL_DIR)/lib/ && \
		cp -f src/mpatrol.h $(TSWO_HOST_INSTALL_DIR)/include/
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

# mpatrol should always be installed to the host when selected
$(BUILD_DIR)/mpatrol-$(mpatrol_VERSION)/.stamp_packaged: $(BUILD_DIR)/mpatrol-$(mpatrol_VERSION)/.stamp_host_installed
	@mkdir -p $(mpatrol_PKG_INSTALL_DIR)/usr/{bin,include,lib}
	cd $(mpatrol_DDIR) && \
		cp -f build/unix/{mpatrol,mprof,mleak,mptrace} $(mpatrol_PKG_INSTALL_DIR)/usr/bin/ && \
		cp -f build/unix/libmpatrol*.a $(mpatrol_PKG_INSTALL_DIR)/usr/lib/ && \
		cp -f src/mpatrol.h $(mpatrol_PKG_INSTALL_DIR)/usr/include/
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mpatrol))
SOFTWARE+=mpatrol
endif


# vim:set noexpandtab filetype=make: 
