# Copyright (C) 2007-2010 Timesys Corporation
# mpfr rules

# Define common macros for this mpfr from include/common.mk
$(eval $(call COMMON_SETUP,mpfr))


MPFR_HOST_BUILD_DIR=$(mpfr_DIR)/mpfr-host-build
MPFR_HOST_INSTALL_DIR=$(mpfr_DIR)/mpfr-host-install

$(BUILD_DIR)/mpfr-$(mpfr_VERSION)/.stamp_toolchain_host_builddir:
	mkdir -p $(MPFR_HOST_BUILD_DIR)
	$(INFLATE$(suffix $(mpfr_SOURCE))) $(mpfr_SRC_DL_DIR)/$(mpfr_SOURCE) | \
		$(TAR) -C $(MPFR_HOST_BUILD_DIR) $(TSWO_TAR_OPTIONS) -
	cd $(MPFR_HOST_BUILD_DIR) && \
		mv -f mpfr-$(mpfr_VERSION)/* ./ && \
		rmdir mpfr-$(mpfr_VERSION)
	$(foreach patch,$(mpfr_PATCHES),$(call APPLY_PATCH,$(MPFR_HOST_BUILD_DIR),$(mpfr_SRC_DL_DIR)/$(patch)))
	@touch $@

$(BUILD_DIR)/mpfr-$(mpfr_VERSION)/.stamp_toolchain_host_installed: $(BUILD_DIR)/mpfr-$(mpfr_VERSION)/.stamp_toolchain_host_builddir
	$(call PRINT_INFO,building mpfr for host)
	cd $(MPFR_HOST_BUILD_DIR) && \
		$(HOST_BUILD_OPTIONS) \
		./configure \
			--prefix=$(MPFR_HOST_INSTALL_DIR) \
			--disable-shared \
			--with-gmp=$(GMP_HOST_INSTALL_DIR) \
			$(HOST_CONFIGURE_OPTIONS) \
			$(TSWO_HOST_NAME)
	cd $(MPFR_HOST_BUILD_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) install
	@touch $@
mpfr-toolchain-host-install: $(FAKEROOT_HOST_INSTALL_TARGET) gmp-toolchain-host-install mpfr-patch $(BUILD_DIR)/mpfr-$(mpfr_VERSION)/.stamp_toolchain_host_installed


# add to software list
ifeq (y,$(TSWO_SOFTWARE_mpfr))
SOFTWARE+=mpfr
endif


# vim:set noexpandtab: 
