# Copyright (C) 2007-2010 Timesys Corporation
# Mesa rules

$(eval $(call COMMON_SETUP,Mesa))


# here we default to DRI if the other two are not set... this is to enable
# our automated testing to validate the default DRI path
#ifeq (y,$(TSWO_MESA_DRI))

ifeq (y,$(TSWO_MESA_XLIB))
MESA_DRIVER=xlib
Mesa_CONFIGURE_OPTIONS+=--with-driver=xlib
else ifeq (y,$(TSWO_MESA_OSMESA))
MESA_DRIVER=osmesa
Mesa_CONFIGURE_OPTIONS+=--with-driver=osmesa
else
MESA_DRIVER=dri
Mesa_CONFIGURE_OPTIONS+=--with-driver=dri
endif


ifeq (dri,$(MESA_DRIVER))

MESA_DEFAULT_DRI_DRIVERS=swrast
ifeq (y,$(TSWO_MESA_DRI_RADEONHD))
MESA_ATI_DRIVERS=,radeon,r300,r600
Mesa_CONFIGURE_OPTIONS+=--enable-gallium-radeon
endif
ifeq (y,$(TSWO_MESA_DRI_INTEL))
MESA_INTEL_DRIVERS=,i810,i915,i965
else
Mesa_CONFIGURE_OPTIONS+=--disable-gallium-intel
endif
ifeq (y,$(TSWO_MESA_DRI_MGA))
MESA_MATROX_DRIVERS=,mga
endif

ifneq (y,$(TSWO_MESA_DRI_RADEONHD))
ifneq (y,$(TSWO_MESA_DRI_INTEL))
ifneq (y,$(TSWO_MESA_DRI_MGA))
Mesa_CONFIGURE_OPTIONS+=--disable-gallium
endif
endif
endif

MESA_DRI_DRIVER_LIST=$(MESA_DEFAULT_DRI_DRIVERS)$(MESA_ATI_DRIVERS)$(MESA_INTEL_DRIVERS)$(MESA_MATROX_DRIVERS)
Mesa_CONFIGURE_OPTIONS+=--with-dri-drivers=$(MESA_DRI_DRIVER_LIST)

endif

$(BUILD_DIR)/Mesa-$(Mesa_VERSION)/.stamp_pre_built:
	cd $(Mesa_DDIR) && \
		$(SED) -i -re "s/ranlib/$(TSWO_FULL_TARGET_NAME)-ranlib/g" bin/mklib
	@touch $@

$(BUILD_DIR)/Mesa-$(Mesa_VERSION)/.stamp_packaged:
	cd $(Mesa_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(Mesa_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(Mesa_MAKE_CMD) INSTALL_DIR=/usr DESTDIR=$(Mesa_PKG_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/Mesa-$(Mesa_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing Mesa $(Mesa_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(Mesa_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(Mesa_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(Mesa_MAKE_CMD) INSTALL_DIR=/usr DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/Mesa-$(Mesa_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing Mesa $(Mesa_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(Mesa_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(Mesa_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(Mesa_MAKE_CMD) INSTALL_DIR=/usr DESTDIR=$(TSWO_HOST_INSTALL_DIR) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_Mesa))
SOFTWARE+=Mesa
endif


# vim:set noexpandtab filetype=make: 
