# Copyright (C) 2007-2010 Timesys Corporation
# OpenCV rules

# Define common macros for OpenCV from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,OpenCV))

OpenCV_OPTIONAL_DEPS=gtk libjpeg jasper libpng gst-ffmpeg ffmpeg gstreamer gst-plugins-base gst-plugins-good gst-plugins-bad gst-plugins-ugly libraw1394
OpenCV_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(OpenCV_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
OpenCV-patch: $(OpenCV_OPTIONAL_DEPS_TARGETS) cmake-host-build

$(BUILD_DIR)/OpenCV-$(OpenCV_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring OpenCV $(OpenCV_VERSION))
	cd $(OpenCV_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(CMAKE) \
        $(OpenCV_BUILD_OPTIONS) \
        	$(OpenCV_CONFIGURE_OPTIONS) \
		.
	@touch $@

$(BUILD_DIR)/OpenCV-$(OpenCV_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{opencv_traincascade,opencv_performance,opencv_haartraining,opencv_createsamples}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_OpenCV))
SOFTWARE+=OpenCV
endif


# vim:set noexpandtab filetype=make: 
