# Copyright (C) 2007-2010 Timesys Corporation
# libccss rules

# Define common macros for libccss from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libccss))

ifeq (y,$(strip $(TSWO_SOFTWARE_cairo)))
libccss-unpack: cairo-host-install
else
libccss_CONFIGURE_OPTIONS+=--disable-ccss-cairo
endif

ifeq (y,$(strip $(TSWO_SOFTWARE_librsvg)))
libccss-unpack: librsvg-host-install
else
libccss_CONFIGURE_OPTIONS+=--without-rsvg
endif

ifeq (y,$(strip $(TSWO_SOFTWARE_gtk)))
libccss-unpack: gtk-host-install
else
libccss_CONFIGURE_OPTIONS+=--disable-ccss-gtk
endif

ifeq (y,$(strip $(TSWO_SOFTWARE_libsoup)))
libccss-unpack: libsoup-host-install
endif

$(BUILD_DIR)/libccss-$(libccss_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/ccss-stylesheet-to-gtkrc
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libccss))
SOFTWARE+=libccss
endif


# vim:set noexpandtab filetype=make: 
