# Copyright (C) 2007-2010 Timesys Corporation
# libdisplaymigration rules


$(eval $(call COMMON_SETUP,libdisplaymigration))

$(BUILD_DIR)/libdisplaymigration-$(libdisplaymigration_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/libdisplaymigration-$(libdisplaymigration_VERSION)/.stamp_built:
	$(call PRINT_INFO,building libdisplaymigration $(libdisplaymigration_VERSION))
	cd $(libdisplaymigration_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(libdisplaymigration_MAKE_CMD) \
        $(libdisplaymigration_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/libdisplaymigration-$(libdisplaymigration_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing libdisplaymigration $(libdisplaymigration_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(libdisplaymigration_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(libdisplaymigration_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(libdisplaymigration_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/libdisplaymigration-$(libdisplaymigration_VERSION)/.stamp_packaged:
	cd $(libdisplaymigration_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(libdisplaymigration_MAKE_CMD) DESTDIR=$(libdisplaymigration_PKG_INSTALL_DIR) install \
        $(libdisplaymigration_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libdisplaymigration))
SOFTWARE+=libdisplaymigration
endif


# vim:set noexpandtab filetype=make: 
