# Copyright (C) 2007-2010 Timesys Corporation
# libgd rules

# Define common macros for libgd from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libgd))

ifeq (y,$(TSWO_SOFTWARE_libX11))
libgd-patch: libX11-host-install
libgd_CONFIGURE_OPTIONS+=x_includes=$(TSWO_HOST_INSTALL_DIR)/include
libgd_CONFIGURE_OPTIONS+=x_libraries=$(TSWO_HOST_INSTALL_DIR)/lib
else
libgd_CONFIGURE_OPTIONS+=--without-x
endif
ifeq (y,$(TSWO_SOFTWARE_freetype))
libgd-patch: freetype-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_fontconfig))
libgd-patch: fontconfig-host-install
endif

$(BUILD_DIR)/libgd-$(libgd_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{webpng,gd2togif,pngtogd,gd2copypal,gdlib-config,gdtopng,gdcmpgif,gd2topng,annotate,giftogd2,pngtogd2,bdftogd,gdparttopng}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libgd))
SOFTWARE+=libgd
endif


# vim:set noexpandtab filetype=make: 
