# Copyright (C) 2007-2010 Timesys Corporation
# libxsettings rules



$(eval $(call COMMON_SETUP,libxsettings))


$(BUILD_DIR)/libxsettings-$(libxsettings_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/libxsettings-$(libxsettings_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing libxsettings $(libxsettings_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(libxsettings_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(libxsettings_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(libxsettings_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install-program install-devel
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/libxsettings-$(libxsettings_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing libxsettings $(libxsettings_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(libxsettings_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(libxsettings_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(libxsettings_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install-program install-devel
	@touch $@

$(BUILD_DIR)/libxsettings-$(libxsettings_VERSION)/.stamp_packaged:
	cd $(libxsettings_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(libxsettings_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(libxsettings_MAKE_CMD) DESTDIR=$(libxsettings_PKG_INSTALL_DIR) install-program install-devel
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libxsettings))
SOFTWARE+=libxsettings
endif


# vim:set noexpandtab filetype=make: 
