# Copyright (C) 2007-2010 Timesys Corporation
# gst-plugins-base rules


$(eval $(call COMMON_SETUP,gst-plugins-base))

gst-plugins-base_OPTIONAL_DEPS=gnome-vfs libva
gst-plugins-base_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gst-plugins-base_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gst-plugins-base-patch: $(gst-plugins-base_OPTIONAL_DEPS_TARGETS)

ifneq (y,$(TSWO_SOFTWARE_libX11))
gst-plugins-base_CONFIGURE_OPTIONS+=--disable-x --disable-xshm
endif
ifeq (y,$(TSWO_SOFTWARE_libXv))
gst-plugins-base-patch: libXv-host-install
else
gst-plugins-base_CONFIGURE_OPTIONS+=--disable-xvideo
endif
ifeq (y,$(TSWO_SOFTWARE_gnome-vfs))
gst-plugins-base-patch: gnome-vfs-host-install
endif

$(BUILD_DIR)/gst-plugins-base-$(gst-plugins-base_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/gst-visualise*
	@touch $@

$(BUILD_DIR)/gst-plugins-base-$(gst-plugins-base_VERSION)/.stamp_pre_configured:
	@cd $(gst-plugins-base_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gst-plugins-base))
SOFTWARE+=gst-plugins-base
endif


# vim:set noexpandtab filetype=make: 
