# Copyright (C) 2007-2010 Timesys Corporation
# libgpod rules

# Define common macros for libgpod from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libgpod))


ifeq (y,$(strip $(TSWO_SOFTWARE_hal)))
libgpod-configure: hal-host-install
else
libgpod_CONFIGURE_OPTIONS+=--without-hal
endif

ifeq (y,$(strip $(TSWO_SOFTWARE_taglib)))
libgpod-configure: taglib-host-install
endif

ifeq (y,$(strip $(TSWO_SOFTWARE_libxml2)))
libgpod-configure: libxml2-host-install
else
libgpod_CONFIGURE_OPTIONS=--disable-libxml
endif

ifeq (y,$(strip $(TSWO_SOFTWARE_gtk)))
libgpod-configure: gtk-host-install
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_gtk-fb)))
libgpod-configure: gtk-fb-host-install
endif

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libgpod))
SOFTWARE+=libgpod
endif


# vim:set noexpandtab filetype=make: 
