# Copyright (C) 2007-2010 Timesys Corporation
# libsndfile rules

# Define common macros for libsndfile from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libsndfile))

libsndfile_OPTIONAL_DEPS=sqlite3 alsa-lib
libsndfile_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(libsndfile_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
libsndfile-patch: $(libsndfile_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/libsndfile-$(libsndfile_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/sndfile*
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libsndfile))
SOFTWARE+=libsndfile
endif


# vim:set noexpandtab filetype=make: 
