# Copyright (C) 2007-2010 Timesys Corporation
# libvpx rules

# Define common macros for libvpx from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libvpx))

$(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring libvpx $(libvpx_VERSION))
	cd $(libvpx_DDIR) && \
		PATH=$(BUILD_PATH) \
				CROSS=$(TSWO_FULL_TARGET_NAME)- \
		./configure --target=generic-gnu \
        	$(libvpx_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_built:
	$(call PRINT_INFO,building libvpx $(libvpx_VERSION))
	cd $(libvpx_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(libvpx_MAKE_CMD) install
	@touch $@

$(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_packaged: DESTDIR=$(libvpx_PKG_INSTALL_DIR)
$(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_host_installed: DESTDIR=$(TSWO_HOST_INSTALL_DIR)
$(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_packaged $(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing libvpx $(libvpx_VERSION) to the RFS)
	@mkdir -p $(DESTDIR)/usr/{lib,bin,include}
	cd $(libvpx_DDIR) && \
		cp -rf vpx-vp8-*-generic-gnu-v$(libvpx_VERSION)/bin/* $(DESTDIR)/usr/bin/
	cd $(libvpx_DDIR) && \
		cp -rf vpx-vp8-*-generic-gnu-v$(libvpx_VERSION)/lib/* $(DESTDIR)/usr/lib/
	cd $(libvpx_DDIR) && \
		cp -rf vpx-vp8-*-generic-gnu-v$(libvpx_VERSION)/include/* $(DESTDIR)/usr/include/
	@touch $@

$(BUILD_DIR)/libvpx-$(libvpx_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{decode_to_md5,decode_with_drops,error_resilient,example_xma,force_keyframe,ivfdec,ivfenc,postproc,simple_decoder,simple_encoder,twopass_encoder,vp8cx_set_ref,vp8_scalable_patterns,vp8_set_maps}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libvpx))
SOFTWARE+=libvpx
endif


# vim:set noexpandtab filetype=make: 
