# Copyright (C) 2007-2010 Timesys Corporation
# cherokee rules

# Define common macros for cherokee from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,cherokee))

ifeq (y,$(strip $(TSWO_SOFTWARE_openssl)))
cherokee-patch: openssl-host-install
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_openldap)))
cherokee-patch: openldap-host-install
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_pam)))
cherokee-patch: pam-host-install
else
cherokee_CONFIGURE_OPTIONS+=--disable-pam
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_mysql)))
cherokee_CONFIGURE_OPTIONS+=--with-mysql=yes
else
cherokee_CONFIGURE_OPTIONS+=--with-mysql=no
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_php)))
cherokee-patch: php-host-install
endif

$(BUILD_DIR)/cherokee-$(cherokee_VERSION)/.stamp_pre_configured:
	cd $(cherokee_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/cherokee-$(cherokee_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/{cherokee-admin,cherokee-worker,cherokee}
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{cget,cherokee-config,cherokee-panic,cherokee-tweak}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_cherokee))
SOFTWARE+=cherokee
endif


# vim:set noexpandtab filetype=make: 
