# Copyright (C) 2007-2010 Timesys Corporation
# gpsd rules

# Define common macros for gpsd from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gpsd))

gpsd_OPTIONAL_DEPS=dbus-glib ncurses libusb libXpm libXext libXaw
gpsd_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gpsd_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gpsd-patch: $(gpsd_OPTIONAL_DEPS_TARGETS)

ifeq (y,$(TSWO_SOFTWARE_dbus-glib))
gpsd_CONFIGURE_OPTIONS+=--enable-dbus
endif

$(BUILD_DIR)/gpsd-$(gpsd_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{gpsd,gpsctl,gpspipe,gpxlogger,gpsdecode,lcdgps}
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/gpsd
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gpsd))
SOFTWARE+=gpsd
endif


# vim:set noexpandtab filetype=make: 
