# Copyright (C) 2007-2010 Timesys Corporation
# ifupdown rules

# Define common macros for ifupdown from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ifupdown))


$(BUILD_DIR)/ifupdown-$(ifupdown_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/ifupdown-$(ifupdown_VERSION)/.stamp_built:
	$(call PRINT_INFO,building ifupdown $(ifupdown_VERSION))
	cd $(ifupdown_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(ifupdown_MAKE_CMD) \
		$(TARGET_ALIASES) \
        $(ifupdown_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/ifupdown-$(ifupdown_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing ifupdown $(ifupdown_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/{etc/network,etc/init.d,usr/share/man/man8,usr/share/man/man5}
	-@rm -f $(TSWO_RFS_INSTALL_DIR)/sbin/ifdown
	cd $(ifupdown_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(ifupdown_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(ifupdown_MAKE_CMD) BASEDIR=$(TSWO_RFS_INSTALL_DIR) install
	cd $(ifupdown_DDIR) && \
		cp -f ifup.8 $(TSWO_RFS_INSTALL_DIR)/usr/share/man/man8 && \
		cp -f interfaces.5 $(TSWO_RFS_INSTALL_DIR)/usr/share/man/man5 && \
		cp -f examples/network-interfaces $(TSWO_RFS_INSTALL_DIR)/etc/network/interfaces
	-cp -f $(ifupdown_SRC_DL_DIR)/S20network $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S20-network
	-cp -f $(ifupdown_SRC_DL_DIR)/S20-network $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S20-network
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S*
	@touch $@

$(BUILD_DIR)/ifupdown-$(ifupdown_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/ifupdown-$(ifupdown_VERSION)/.stamp_packaged:
	@mkdir -p $(ifupdown_PKG_INSTALL_DIR)/{etc/network,etc/init.d,usr/share/man/man8,usr/share/man/man5}
	cd $(ifupdown_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(ifupdown_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(ifupdown_MAKE_CMD) BASEDIR=$(ifupdown_PKG_INSTALL_DIR) install
	cd $(ifupdown_DDIR) && \
		cp -f ifup.8 $(ifupdown_PKG_INSTALL_DIR)/usr/share/man/man8 && \
		cp -f interfaces.5 $(ifupdown_PKG_INSTALL_DIR)/usr/share/man/man5 && \
		cp -f examples/network-interfaces $(ifupdown_PKG_INSTALL_DIR)/etc/network/interfaces
	-cp -f $(ifupdown_SRC_DL_DIR)/S20network $(ifupdown_PKG_INSTALL_DIR)/etc/init.d/S20-network
	-cp -f $(ifupdown_SRC_DL_DIR)/S20-network $(ifupdown_PKG_INSTALL_DIR)/etc/init.d/S20-network
	-chmod +x $(ifupdown_SRC_DL_DIR)/etc/init.d/S*
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ifupdown))
SOFTWARE+=ifupdown
endif


# vim:set noexpandtab filetype=make: 
