# Copyright (C) 2007-2010 Timesys Corporation
# iproute2 rules

# Define common macros for this iproute2 from include/common.mk
$(eval $(call COMMON_SETUP,iproute2))

$(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring iproute2 $(iproute2_VERSION))
	@cd $(iproute2_DDIR) && \
		touch Config
	@touch $@

$(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_built:
	$(call PRINT_INFO,building iproute2 $(iproute2_VERSION))
	@cd $(iproute2_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(iproute2_BUILD_OPTIONS) \
		$(iproute2_MAKE_CMD)
	@touch $@


$(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_files_packaged: DESTDIR=$(iproute2_PKG_INSTALL_DIR)
$(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_files_packaged
$(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/iproute2-$(iproute2_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/var/lib/arpd
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_iproute2))
SOFTWARE+=iproute2
endif


# vim:set noexpandtab: 
