# Copyright (C) 2007-2010 Timesys Corporation
# iputils rules

# Define common macros for this iputils from include/common.mk
$(eval $(call COMMON_SETUP,iputils))

$(BUILD_DIR)/iputils-$(iputils_VERSION)/.stamp_configured:
	@touch $(@)

$(BUILD_DIR)/iputils-$(iputils_VERSION)/.stamp_packaged:
	@mkdir -p $(iputils_PKG_INSTALL_DIR)/{sbin,usr/share/man/man8}
	cd $(iputils_DDIR) && \
		for p in clockdiff arping ping ping6 rdisc tracepath tracepath6 traceroute6;do \
			install -c $$p $(iputils_PKG_INSTALL_DIR)/sbin;done
	@touch $(@)

$(BUILD_DIR)/iputils-$(iputils_VERSION)/.stamp_host_installed:
	@touch $(@)

$(BUILD_DIR)/iputils-$(iputils_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing iputils $(iputils_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/{sbin,usr/share/man/man8}
	cd $(iputils_DDIR) && \
		for p in clockdiff arping ping ping6 rdisc tracepath tracepath6 traceroute6;do \
			install -c $$p $(TSWO_RFS_INSTALL_DIR)/sbin;done
	@touch $(@)

# add to software list
ifeq (y,$(TSWO_SOFTWARE_iputils))
SOFTWARE+=iputils
endif


# vim:set noexpandtab: 
