# Copyright (C) 2007-2010 Timesys Corporation
# nfs-utils rules

# Define common macros for this nfs-utils from include/common.mk
$(eval $(call COMMON_SETUP,nfs-utils))

nfs-utils_OPTIONAL_DEPS=libgssapi libgssglue librpcsecgss util-linux
nfs-utils_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(nfs-utils_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
nfs-utils-patch: $(nfs-utils_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/nfs-utils-$(nfs-utils_VERSION)/.stamp_init_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/nfs-utils-$(nfs-utils_VERSION)/.stamp_init_packaged: DESTDIR=$(nfs-utils_PKG_INSTALL_DIR)
$(BUILD_DIR)/nfs-utils-$(nfs-utils_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/nfs-utils-$(nfs-utils_VERSION)/.stamp_init_rfs_installed
$(BUILD_DIR)/nfs-utils-$(nfs-utils_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/nfs-utils-$(nfs-utils_VERSION)/.stamp_init_packaged
$(BUILD_DIR)/nfs-utils-$(nfs-utils_VERSION)/.stamp_init_rfs_installed $(BUILD_DIR)/nfs-utils-$(nfs-utils_VERSION)/.stamp_init_packaged:
	mkdir -p $(DESTDIR)/etc/init.d
	-cp -f $(nfs-utils_SRC_DL_DIR)/S21-nfs $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	touch $(DESTDIR)/etc/exports
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_nfs-utils))
SOFTWARE+=nfs-utils
endif


# vim:set noexpandtab: 
