# Copyright (C) 2007-2010 Timesys Corporation
# ntp rules

# Define common macros for this ntp from include/common.mk
$(eval $(call COMMON_SETUP,ntp))

$(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_pre_configured:
	cd $(ntp_DDIR) && \
	$(SED) -i -re "s,MAKE_TICKADJ=tickadj,MAKE_TICKADJ=," configure
	@touch $@

$(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_files_packaged: DESTDIR=$(ntp_PKG_INSTALL_DIR)
$(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_files_packaged
$(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/ntp-$(ntp_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/{etc/{init.d},var/run}
	-cp -f $(ntp_SRC_DL_DIR)/S[0-9]* $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	-cp -f $(ntp_SRC_DL_DIR)/ntp.conf $(DESTDIR)/etc/
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_ntp))
SOFTWARE+=ntp
endif


# vim:set noexpandtab: 
