# Copyright (C) 2007-2010 Timesys Corporation
# ofono rules

# Define common macros for ofono from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ofono))

ofono_OPTIONAL_DEPS=udev
ofono_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(ofono_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
ofono-patch: $(ofono_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/ofono-$(ofono_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/ofono-$(ofono_VERSION)/.stamp_packaged: DESTDIR=$(ofono_PKG_INSTALL_DIR)
$(BUILD_DIR)/ofono-$(ofono_VERSION)/.stamp_host_installed: DESTDIR=$(TSWO_HOST_INSTALL_DIR)
$(BUILD_DIR)/ofono-$(ofono_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/ofono-$(ofono_VERSION)/.stamp_packaged $(BUILD_DIR)/ofono-$(ofono_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing ofono $(ofono_VERSION) to $(DESTDIR))
	@mkdir -p $(DESTDIR)
	cd $(ofono_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(ofono_MAKE_CMD) DESTDIR=$(DESTDIR) install \
        $(ofono_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/ofono-$(ofono_VERSION)/.stamp_post_host_installed:
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/ofonod
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ofono))
SOFTWARE+=ofono
endif


# vim:set noexpandtab filetype=make: 
