# Copyright (C) 2007-2010 Timesys Corporation
# ppp rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ppp))

$(BUILD_DIR)/ppp-$(ppp_VERSION)/.stamp_packaged:
	cd $(ppp_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(ppp_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(ppp_MAKE_CMD) INSTROOT=$(ppp_PKG_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/ppp-$(ppp_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing ppp $(ppp_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(ppp_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(ppp_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(ppp_MAKE_CMD) INSTROOT=$(TSWO_HOST_INSTALL_DIR) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/ppp-$(ppp_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing ppp $(ppp_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(ppp_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(ppp_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(ppp_MAKE_CMD) INSTROOT=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_ppp))
SOFTWARE+=ppp
endif


# vim:set noexpandtab filetype=make: 
