# Copyright (C) 2007-2010 Timesys Corporation
# procmail rules

# Define common macros for procmail from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,procmail))


$(BUILD_DIR)/procmail-$(procmail_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/procmail-$(procmail_VERSION)/.stamp_built:
	$(call PRINT_INFO,building procmail $(procmail_VERSION))
	cd $(procmail_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(procmail_MAKE_CMD) \
        $(procmail_BUILD_OPTIONS)
	@touch $@


$(BUILD_DIR)/procmail-$(procmail_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing procmail $(procmail_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(procmail_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(procmail_MAKE_CMD) BASENAME=$(TSWO_RFS_INSTALL_DIR)/usr VISIBLE_BASENAME=/usr install \
        	$(procmail_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/procmail-$(procmail_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/procmail-$(procmail_VERSION)/.stamp_packaged:
	cd $(procmail_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(procmail_MAKE_CMD) BASENAME=$(procmail_PKG_INSTALL_DIR)/usr VISIBLE_BASENAME=/usr install \
        	$(procmail_BUILD_OPTIONS)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_procmail))
SOFTWARE+=procmail
endif


# vim:set noexpandtab filetype=make: 
