# Copyright (C) 2007-2010 Timesys Corporation
# quagga rules

# Define common macros for this quagga from include/common.mk
$(eval $(call COMMON_SETUP,quagga))


#$(BUILD_DIR)/quagga-$(quagga_VERSION)/.stamp_pre_configured:
#	@cd $(quagga_DDIR) && \
#		autoreconf
#	@touch $@

$(BUILD_DIR)/quagga-$(quagga_VERSION)/.stamp_post_rfs_installed:
	for conf in bgpd.conf.sample ospf6d.conf.sample ospfd.conf.sample ripd.conf.sample ripngd.conf.sample zebra.conf.sample; do \
		if [ -e $(TSWO_RFS_INSTALL_DIR)/etc/$$conf -a ! -e $(TSWO_RFS_INSTALL_DIR)/etc/$${conf/.sample/} ]; then \
			mv -f $(TSWO_RFS_INSTALL_DIR)/etc/$$conf $(TSWO_RFS_INSTALL_DIR)/etc/$${conf/.sample/}; \
			rm -f $(TSWO_RFS_INSTALL_DIR)/etc/$${conf}2; \
		fi; \
	done
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(quagga_SRC_DL_DIR)/S[0-9][0-9]-* $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S[0-9][0-9]-*
	@touch $@

$(BUILD_DIR)/quagga-$(quagga_VERSION)/.stamp_packaged:
	cd $(quagga_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(quagga_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(quagga_MAKE_CMD) DESTDIR=$(quagga_PKG_INSTALL_DIR) install
	for conf in bgpd.conf.sample ospf6d.conf.sample ospfd.conf.sample ripd.conf.sample ripngd.conf.sample zebra.conf.sample; do \
		if [ -e $(quagga_PKG_INSTALL_DIR)/etc/$$conf -a ! -e $(quagga_PKG_INSTALL_DIR)/etc/$${conf/.sample/} ]; then \
			mv -f $(quagga_PKG_INSTALL_DIR)/etc/$$conf $(quagga_PKG_INSTALL_DIR)/etc/$${conf/.sample/}; \
			rm -f $(quagga_PKG_INSTALL_DIR)/etc/$${conf}2; \
		fi; \
	done
	mkdir -p $(quagga_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(quagga_SRC_DL_DIR)/S[0-9][0-9]-* $(quagga_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(quagga_PKG_INSTALL_DIR)/etc/init.d/S[0-9][0-9]-*
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_quagga))
SOFTWARE+=quagga
endif


# vim:set noexpandtab: 
