# Copyright (C) 2007-2010 Timesys Corporation
# ser rules

# Define common macros for ser from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ser))

$(BUILD_DIR)/ser-$(ser_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/ser-$(ser_VERSION)/.stamp_built:
	$(call PRINT_INFO,building ser $(ser_VERSION))
	cd $(ser_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(ser_MAKE_CMD) \
        $(ser_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/ser-$(ser_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/sbin/{ser,ser_mysql.sh,serunix,gen_ha1,serctl}
	@touch $@

$(BUILD_DIR)/ser-$(ser_VERSION)/.stamp_packaged: DESTDIR=$(ser_PKG_INSTALL_DIR)
$(BUILD_DIR)/ser-$(ser_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/ser-$(ser_VERSION)/.stamp_packaged $(BUILD_DIR)/ser-$(ser_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing ser $(ser_VERSION) to the RFS)
	@mkdir -p $(DESTDIR)
	cd $(ser_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(ser_MAKE_CMD) DESTDIR=$(DESTDIR) install \
        $(ser_BUILD_OPTIONS)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ser))
SOFTWARE+=ser
endif


# vim:set noexpandtab filetype=make: 
