# Copyright (C) 2007-2010 Timesys Corporation
# tcp_wrappers rules

# Define common macros for this tcp_wrappers from include/common.mk
$(eval $(call COMMON_SETUP,tcp_wrappers))

$(BUILD_DIR)/tcp_wrappers-$(tcp_wrappers_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/tcp_wrappers-$(tcp_wrappers_VERSION)/.stamp_built:
	$(call PRINT_INFO,building tcp_wrappers)
	cd $(tcp_wrappers_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(TARGET_BUILD_OPTIONS) \
      $(tcp_wrappers_BUILD_OPTIONS) \
			$(MAKE) linux \
			$(TARGET_ALIASES)
	@touch $@

TSWO_INSTALL_TCPWRAPPER_SHARED=n

$(BUILD_DIR)/tcp_wrappers-$(tcp_wrappers_VERSION)/.stamp_packaged:
	mkdir -p $(tcp_wrappers_PKG_INSTALL_DIR)/usr/{lib,include,sbin}
	cp -af $(tcp_wrappers_DDIR)/libwrap.a 			$(tcp_wrappers_PKG_INSTALL_DIR)/usr/lib/
ifeq ($(TSWO_INSTALL_TCPWRAPPER_SHARED),y)
	cp -af $(tcp_wrappers_DDIR)/libwrap.so* 		$(tcp_wrappers_PKG_INSTALL_DIR)/usr/lib/
endif
	cp -af $(tcp_wrappers_DDIR)/tcpd.h 			$(tcp_wrappers_PKG_INSTALL_DIR)/usr/include/
	install -m755 $(tcp_wrappers_DDIR)/safe_finger $(tcp_wrappers_PKG_INSTALL_DIR)/usr/sbin/
	install -m711 $(tcp_wrappers_DDIR)/tcpd 		$(tcp_wrappers_PKG_INSTALL_DIR)/usr/sbin/
	install -m755 $(tcp_wrappers_DDIR)/try-from 	$(tcp_wrappers_PKG_INSTALL_DIR)/usr/sbin/
	@touch $@

$(BUILD_DIR)/tcp_wrappers-$(tcp_wrappers_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing tcp_wrappers to the host)
	mkdir -p $(TSWO_HOST_INSTALL_DIR)/{lib,include}
	cp -af $(tcp_wrappers_DDIR)/libwrap.a 			$(TSWO_HOST_INSTALL_DIR)/lib/
ifeq ($(TSWO_INSTALL_TCPWRAPPER_SHARED),y)
	cp -af $(tcp_wrappers_DDIR)/libwrap.so* 		$(TSWO_HOST_INSTALL_DIR)/lib/
endif
	cp -f $(tcp_wrappers_DDIR)/tcpd.h 				$(TSWO_HOST_INSTALL_DIR)/include/
	@touch $@

$(BUILD_DIR)/tcp_wrappers-$(tcp_wrappers_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing tcp_wrappers to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/{lib,include,sbin}
	cp -af $(tcp_wrappers_DDIR)/libwrap.a 			$(TSWO_RFS_INSTALL_DIR)/usr/lib/
ifeq ($(TSWO_INSTALL_TCPWRAPPER_SHARED),y)
	cp -af $(tcp_wrappers_DDIR)/libwrap.so* 		$(TSWO_RFS_INSTALL_DIR)/usr/lib/
endif
	cp -af $(tcp_wrappers_DDIR)/tcpd.h 			$(TSWO_RFS_INSTALL_DIR)/usr/include/
	install -m755 $(tcp_wrappers_DDIR)/safe_finger $(TSWO_RFS_INSTALL_DIR)/usr/sbin/
	install -m711 $(tcp_wrappers_DDIR)/tcpd 		$(TSWO_RFS_INSTALL_DIR)/usr/sbin/
	install -m755 $(tcp_wrappers_DDIR)/try-from 	$(TSWO_RFS_INSTALL_DIR)/usr/sbin/
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_tcp_wrappers))
SOFTWARE+=tcp_wrappers
endif


# vim:set noexpandtab: 
