# Copyright (C) 2007-2010 Timesys Corporation
# telepathy-salut rules

# Define common macros for telepathy-salut from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,telepathy-salut))

telepathy-salut_OPTIONAL_DEPS=cyrus-sasl libgsasl util-linux e2fsprogs
telepathy-salut_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(telepathy-salut_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
telepathy-salut-patch: $(telepathy-salut_OPTIONAL_DEPS_TARGETS)
ifeq (y,$(TSWO_SOFTWARE_openssl))
telepathy-salut-patch: openssl-host-install
telepathy-salut_CONFIGURE_OPTIONS+=--enable-ssl
endif

$(BUILD_DIR)/telepathy-salut-$(telepathy-salut_VERSION)/.stamp_pre_built:
	cp -f $(telepathy-salut_SRC_DL_DIR)/salut.manager $(telepathy-salut_DDIR)/data/
	@touch $@

$(BUILD_DIR)/telepathy-salut-$(telepathy-salut_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_telepathy-salut))
SOFTWARE+=telepathy-salut
endif


# vim:set noexpandtab filetype=make: 
