# Copyright (C) 2007-2010 Timesys Corporation
# vlan rules

# Define common macros for vlan from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,vlan))


$(BUILD_DIR)/vlan-$(vlan_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/vlan-$(vlan_VERSION)/.stamp_pre_built:
	cd $(vlan_DDIR) && \
		rm vconfig vconfig.o
	@touch $@

$(BUILD_DIR)/vlan-$(vlan_VERSION)/.stamp_built:
	$(call PRINT_INFO,building vlan $(vlan_VERSION))
	cd $(vlan_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(vlan_MAKE_CMD) \
		  $(TARGET_ALIASES) \
      $(vlan_BUILD_OPTIONS) CCFLAGS="$(TARGET_CFLAGS)" vconfig
	@touch $@

$(BUILD_DIR)/vlan-$(vlan_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing vlan $(vlan_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/{sbin,usr/share/man/man8}
	cd $(vlan_DDIR) && \
		cp -f vconfig $(TSWO_RFS_INSTALL_DIR)/sbin/
	cd $(vlan_DDIR) && \
		cp -f vconfig.8 $(TSWO_RFS_INSTALL_DIR)/usr/share/man/man8/
	cd $(TSWO_RFS_INSTALL_DIR)/usr/share/man/man8 && \
		gzip vconfig.8
	@touch $@

$(BUILD_DIR)/vlan-$(vlan_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/vlan-$(vlan_VERSION)/.stamp_packaged:
	@mkdir -p $(vlan_PKG_INSTALL_DIR)/{sbin,usr/share/man/man8}
	cd $(vlan_DDIR) && \
		cp -f vconfig $(vlan_PKG_INSTALL_DIR)/sbin/
	cd $(vlan_DDIR) && \
		cp -f vconfig.8 $(vlan_PKG_INSTALL_DIR)/usr/share/man/man8/
	cd $(vlan_PKG_INSTALL_DIR)/usr/share/man/man8 && \
		gzip vconfig.8
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_vlan))
SOFTWARE+=vlan
endif


# vim:set noexpandtab filetype=make: 
