# Copyright (C) 2007-2010 Timesys Corporation
# wpa_supplicant rules

# Define common macros for wpa_supplicant from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wpa_supplicant))

WPA_SUPPLICANT_CONFIG=$(wpa_supplicant_SRC_DL_DIR)/wpa_supplicant_config

$(wpa_supplicant_SRC_DL_DIR)/wpa_supplicant_config:
	$(call PRINT_INFO,fetching wpa_supplicant configuration)
	$(call FETCH_REMOTE,$(wpa_supplicant_SRC_DL_DIR),$(TSWO_WPA_SUPPLICANT_CONFIG))
	mv -f $(wpa_supplicant_SRC_DL_DIR)/$(notdir $(strip $(call UNQUOTE_VAR,$(TSWO_WPA_SUPPLICANT_CONFIG)))) $@


$(BUILD_DIR)/wpa_supplicant-$(wpa_supplicant_VERSION)/.stamp_configured: $(WPA_SUPPLICANT_CONFIG)
	$(call PRINT_INFO,configuring wpa_supplicant $(wpa_supplicant_VERSION))
	cd $(wpa_supplicant_DDIR) && \
		cp -f $(WPA_SUPPLICANT_CONFIG) .config
	cd $(wpa_supplicant_DDIR) && \
		$(SED) -i -re 's,/usr/local,/usr,g' Makefile
	@touch $@

$(BUILD_DIR)/wpa_supplicant-$(wpa_supplicant_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/wpa_supplicant-$(wpa_supplicant_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing wpa_supplicant $(wpa_supplicant_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/{etc/init.d,var/run/wpa_supplicant}
	cd $(wpa_supplicant_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(wpa_supplicant_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(wpa_supplicant_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	cd $(wpa_supplicant_DDIR) && \
		cp -f wpa_supplicant.conf $(TSWO_RFS_INSTALL_DIR)/etc/
	cd $(wpa_supplicant_DDIR) && \
		cp -f $(wpa_supplicant_SRC_DL_DIR)/S25-wpa_supplicant $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	@touch $@

$(BUILD_DIR)/wpa_supplicant-$(wpa_supplicant_VERSION)/.stamp_packaged:
	mkdir -p $(wpa_supplicant_PKG_INSTALL_DIR)/{etc/init.d,var/run/wpa_supplicant}
	cd $(wpa_supplicant_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(wpa_supplicant_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(wpa_supplicant_MAKE_CMD) DESTDIR=$(wpa_supplicant_PKG_INSTALL_DIR) install
	cd $(wpa_supplicant_DDIR) && \
		cp -f wpa_supplicant.conf $(wpa_supplicant_PKG_INSTALL_DIR)/etc/
	cd $(wpa_supplicant_DDIR) && \
		cp -f $(wpa_supplicant_SRC_DL_DIR)/S25-wpa_supplicant $(wpa_supplicant_PKG_INSTALL_DIR)/etc/init.d/
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wpa_supplicant))
SOFTWARE+=wpa_supplicant
endif


# vim:set noexpandtab filetype=make: 
