# Copyright (C) 2007-2010 Timesys Corporation
# lua rules

$(eval $(call COMMON_SETUP,lua))


$(BUILD_DIR)/lua-$(lua_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/lua-$(lua_VERSION)/.stamp_built:
	$(call PRINT_INFO,building lua $(lua_VERSION))
	cd $(lua_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(lua_MAKE_CMD) linux \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(lua_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/lua-$(lua_VERSION)/.stamp_post_host_installed:
	-rm -rf $(TSWO_HOST_INSTALL_DIR)/bin/{lua,luac}
	-cd $(lua_DDIR) && \
		cp etc/lua.pc $(TSWO_HOST_INSTALL_DIR)/lib/pkgconfig/ && \
		$(SED) -i -re 's,\s*/usr/local,/usr,' $(TSWO_HOST_INSTALL_DIR)/lib/pkgconfig/lua.pc
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@


LUA_HOST_INSTALL_DIR=$(BUILD_DIR)/lua-$(lua_VERSION)/lua-host-install
lua-host-build: readline-host-build lua-host-install $(BUILD_DIR)/lua-$(lua_VERSION)/.stamp_host_build
$(BUILD_DIR)/lua-$(lua_VERSION)/.stamp_host_build: 
	$(call PRINT_INFO,building lua host copy)
	mkdir -p $(@D)/lua-host-build
	$(INFLATE$(suffix $(lua_SOURCE))) $(lua_SRC_DL_DIR)/$(lua_SOURCE) | \
		$(TAR) -C $(@D)/lua-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(lua_PATCHES),$(call APPLY_PATCH,$(@D)/lua-host-build/$(lua_WORKINGDIR),$(lua_SRC_DL_DIR)/$(patch)))
	cd $(@D)/lua-host-build/$(lua_WORKINGDIR) && \
		CPPFLAGS='-I$(READLINE_HOST_INSTALL_DIR)/include -fPIC' $(MAKE) MYLDFLAGS=-L$(READLINE_HOST_INSTALL_DIR)/lib linux && \
		make install DESTDIR=$(LUA_HOST_INSTALL_DIR)
	mkdir $(LUA_HOST_INSTALL_DIR)/usr/lib/pkgconfig/
	cd $(@D)/lua-host-build/$(lua_WORKINGDIR) && \
		cp etc/lua.pc $(LUA_HOST_INSTALL_DIR)/usr/lib/pkgconfig/ && \
		$(SED) -i -re 's,\s*/usr/local,$(LUA_HOST_INSTALL_DIR)/usr,' $(LUA_HOST_INSTALL_DIR)//usr/lib/pkgconfig/lua.pc
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_lua))
SOFTWARE+=lua
endif

# vim:set noexpandtab filetype=make: 
