# Copyright (C) 2007-2010 Timesys Corporation
# perl-TimeDate rules

# Define common macros for perl-TimeDate from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,perl-TimeDate))

perl-TimeDate_BUILD_OPTIONS+=PERL5LIB=$(perl_DDIR)/lib PERL_INC=$(perl_DDIR) PERL_CORE=$(perl_DDIR)

$(BUILD_DIR)/perl-TimeDate-$(perl-TimeDate_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring perl-TimeDate $(perl-TimeDate_VERSION))
	cd $(perl-TimeDate_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(perl-TimeDate_BUILD_OPTIONS) \
		$(perl_DDIR)/perl Makefile.PL
	@touch $@

$(BUILD_DIR)/perl-TimeDate-$(perl-TimeDate_VERSION)/.stamp_pre_built:
	cd $(perl-TimeDate_DDIR) && \
	find . -name Makefile -exec $(SED) -i -re 's,/usr/lib/perl.*/(ExtUtils/typemap),$(perl_DDIR)/lib/\1,g' {} \;
	@touch $@

$(BUILD_DIR)/perl-TimeDate-$(perl-TimeDate_VERSION)/.stamp_built:
	$(call PRINT_INFO,building perl-TimeDate $(perl-TimeDate_VERSION))
	cd $(perl-TimeDate_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(perl-TimeDate_MAKE_CMD) \
        $(perl-TimeDate_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/perl-TimeDate-$(perl-TimeDate_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_perl-TimeDate))
SOFTWARE+=perl-TimeDate
endif


# vim:set noexpandtab filetype=make: 
