# Copyright (C) 2007-2010 Timesys Corporation
# slang rules

# Define common macros for this slang from include/common.mk
$(eval $(call COMMON_SETUP,slang))

$(BUILD_DIR)/slang-$(slang_VERSION)/.stamp_built:
	$(call PRINT_INFO,building slang $(slang_VERSION))
	cd $(slang_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(slang_MAKE_CMD) elf \
			$(TARGET_ALIASES) \
			$(TARGET_BUILD_OPTIONS) \
      $(slang_BUILD_OPTIONS) \
			ELF_CC=$(TSWO_FULL_TARGET_NAME)-gcc ELF_LINK='$(TSWO_FULL_TARGET_NAME)-gcc -shared -Wl,-soname'
	@touch $@

$(BUILD_DIR)/slang-$(slang_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing slang $(slang_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(slang_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(slang_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install-elf \
			$(TARGET_ALIASES) \
      $(slang_BUILD_OPTIONS) \
			ELF_CC=$(TSWO_FULL_TARGET_NAME)-gcc ELF_LINK='$(TSWO_FULL_TARGET_NAME)-gcc -shared -Wl,-soname'
	cd $(TSWO_HOST_INSTALL_DIR)/usr/lib &&  \
		ln -s libslang.so libslang.so.1
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/slang-$(slang_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing slang $(slang_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(slang_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(FAKEROOT_CMD) $(slang_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install-elf \
				$(TARGET_ALIASES) \
        $(slang_BUILD_OPTIONS) \
				ELF_CC=$(TSWO_FULL_TARGET_NAME)-gcc ELF_LINK='$(TSWO_FULL_TARGET_NAME)-gcc -shared -Wl,-soname'
	cd $(TSWO_RFS_INSTALL_DIR)/usr/lib && \
		ln -s libslang.so libslang.so.1
	@touch $@

$(BUILD_DIR)/slang-$(slang_VERSION)/.stamp_packaged:
	cd $(slang_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(slang_MAKE_CMD) DESTDIR=$(slang_PKG_INSTALL_DIR) install-elf \
			$(TARGET_ALIASES) \
      $(slang_BUILD_OPTIONS) \
			ELF_CC=$(TSWO_FULL_TARGET_NAME)-gcc ELF_LINK='$(TSWO_FULL_TARGET_NAME)-gcc -shared -Wl,-soname'
	cd $(slang_PKG_INSTALL_DIR)/usr/lib && \
		ln -s libslang.so libslang.so.1
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_slang))
SOFTWARE+=slang
endif


# vim:set noexpandtab: 
