# Copyright (C) 2007-2010 Timesys Corporation
# hfsutils rules

# Define common macros for this hfsutils from include/common.mk
$(eval $(call COMMON_SETUP,hfsutils))

$(BUILD_DIR)/hfsutils-$(hfsutils_VERSION)/.stamp_packaged:
	@mkdir -p $(hfsutils_PKG_INSTALL_DIR)/usr/{bin,lib,include,share,share/man,share/man/man1}
	@cd $(hfsutils_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(MAKE) \
			BINDEST=$(hfsutils_PKG_INSTALL_DIR)/usr/bin \
    		LIBDEST=$(hfsutils_PKG_INSTALL_DIR)/usr/lib \
    		INCDEST=$(hfsutils_PKG_INSTALL_DIR)/usr/include \
    		MANDEST=$(hfsutils_PKG_INSTALL_DIR)/usr/share/man \
    		install install_lib
	@touch $@

$(BUILD_DIR)/hfsutils-$(hfsutils_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing hfsutils to the host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)/{bin,lib,include,man,man/man1}
	@cd $(hfsutils_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(MAKE) \
			BINDEST=$(TSWO_HOST_INSTALL_DIR)/bin/ \
    		LIBDEST=$(TSWO_HOST_INSTALL_DIR)/lib \
    		INCDEST=$(TSWO_HOST_INSTALL_DIR)/include \
    		MANDEST=$(TSWO_HOST_INSTALL_DIR)/man \
    		install install_lib
	@touch $@

$(BUILD_DIR)/hfsutils-$(hfsutils_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing hfsutils to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/{bin,lib,include,share,share/man,share/man/man1}
	@cd $(hfsutils_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(MAKE) \
			BINDEST=$(TSWO_RFS_INSTALL_DIR)/usr/bin \
    		LIBDEST=$(TSWO_RFS_INSTALL_DIR)/usr/lib \
    		INCDEST=$(TSWO_RFS_INSTALL_DIR)/usr/include \
    		MANDEST=$(TSWO_RFS_INSTALL_DIR)/usr/share/man \
    		install install_lib
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_hfsutils))
SOFTWARE+=hfsutils
endif


# vim:set noexpandtab: 
