# Copyright (C) 2007-2010 Timesys Corporation
# imx-lib rules

# Define common macros for imx-lib from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,imx-lib))

imx-lib_BUILD_OPTIONS+=INCLUDE="-I$(kernel_WORKINGDIR)/include \
			  -I$(kernel_WORKINGDIR)/drivers/mxc/security/rng/include \
			  -I$(kernel_WORKINGDIR)/drivers/mxc/security/sahara2/include" \
			CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)-

$(BUILD_DIR)/imx-lib-$(imx-lib_VERSION)/.stamp_configured:
	@touch $@

# imx-lib uses DEST_DIR instead of DESTDIR.  Otherwise, the install steps are the same.
$(BUILD_DIR)/imx-lib-$(imx-lib_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing imx-lib $(imx-lib_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(imx-lib_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(imx-lib_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(imx-lib_MAKE_CMD) DEST_DIR=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/imx-lib-$(imx-lib_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing imx-lib $(imx-lib_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(imx-lib_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(imx-lib_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(imx-lib_MAKE_CMD) DEST_DIR=$(TSWO_HOST_INSTALL_DIR) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/imx-lib-$(imx-lib_VERSION)/.stamp_packaged:
	cd $(imx-lib_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(imx-lib_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(imx-lib_MAKE_CMD) DEST_DIR=$(imx-lib_PKG_INSTALL_DIR) install
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_imx-lib))
SOFTWARE+=imx-lib
endif


# vim:set noexpandtab filetype=make:
