# Copyright (C) 2007-2010 Timesys Corporation
# libselinux rules

# Define common macros for libselinux from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libselinux))


$(BUILD_DIR)/libselinux-$(libselinux_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/libselinux-$(libselinux_VERSION)/.stamp_built:
	$(call PRINT_INFO,building libselinux $(libselinux_VERSION))
	cd $(libselinux_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(libselinux_MAKE_CMD) \
        $(libselinux_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/libselinux-$(libselinux_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/usr/sbin/{vcstat,compute_av,compute_create,compute_member,compute_relabel,compute_user,getconlist,getdefaultcon,getenforce,getfilecon,getpidcon,getsebool,getseuser,matchpathcon,policyvers,selinux_check_securetty_context,selinuxenabled,setenforce,setfilecon,togglesebool}
	@touch $@

# libselinux-package is a frontend for:
#
#$(BUILD_DIR)/libselinux-$(libselinux_VERSION)/.stamp_pre_packaged:
#	$(call PRINT_INFO,packaging libselinux $(libselinux_VERSION))
#	@mkdir -p $(libselinux_PKG_INSTALL_DIR)
#	@touch $@
#$(BUILD_DIR)/libselinux-$(libselinux_VERSION)/.stamp_packaged:
#	cd $(libselinux_DDIR) && \
#		PATH=$(BUILD_PATH) \
#		$(TARGET_ALIASES) \
#        $(libselinux_BUILD_OPTIONS) \
#		$(FAKEROOT_CMD) $(libselinux_MAKE_CMD) DESTDIR=$(libselinux_PKG_INSTALL_DIR) install
#	@touch $@
#$(BUILD_DIR)/libselinux-$(libselinux_VERSION)/.stamp_post_packaged:
#	$(call CREATE_PACKAGE, libselinux,$(libselinux_PKG_INSTALL_DIR),$(libselinux_PKG_NAME),$(libselinux_VERSION),$(libselinux_BUILDNUM),$(libselinux_RUNTIME_DEPENDS))
#	@rm -rf $(libselinux_PKG_INSTALL_DIR)
#	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libselinux))
SOFTWARE+=libselinux
endif


# vim:set noexpandtab filetype=make: 
