# Copyright (C) 2007-2010 Timesys Corporation
# mingetty rules

# Define common macros for this mingetty from include/common.mk
$(eval $(call COMMON_SETUP,mingetty))


$(BUILD_DIR)/mingetty-$(mingetty_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/mingetty-$(mingetty_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/mingetty-$(mingetty_VERSION)/.stamp_packaged:
	mkdir -p $(mingetty_PKG_INSTALL_DIR)/usr/share/man/man8
	cd $(mingetty_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(mingetty_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(mingetty_MAKE_CMD) DESTDIR=$(mingetty_PKG_INSTALL_DIR) install
	@touch $@
$(BUILD_DIR)/mingetty-$(mingetty_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing mingetty $(mingetty_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/share/man/man8
	cd $(mingetty_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(mingetty_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(mingetty_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_mingetty))
SOFTWARE+=mingetty
endif


# vim:set noexpandtab: 
