# Copyright (C) 2007-2010 Timesys Corporation
# prelink rules

# Define common macros for prelink from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,prelink))

ifeq (y,$(TSWO_LIBC_UCLIBC))
prelink_CONFIGURE_OPTIONS+=LDFLAGS=-largp
endif


$(BUILD_DIR)/prelink-$(prelink_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing prelink $(prelink_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(prelink_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(prelink_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(prelink_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	@if [ -f $(prelink_DDIR)/prelink.conf ]; then \
		cp -f $(prelink_DDIR)/prelink.conf $(TSWO_RFS_INSTALL_DIR)/etc; \
	fi
	@touch $@


$(BUILD_DIR)/prelink-$(prelink_VERSION)/.stamp_pre_packaged:
	$(call PRINT_INFO,packaging prelink $(prelink_VERSION))
	@mkdir -p $(prelink_PKG_INSTALL_DIR)
	@mkdir -p $(prelink_PKG_INSTALL_DIR)/etc
	@touch $@
$(BUILD_DIR)/prelink-$(prelink_VERSION)/.stamp_packaged:
	cd $(prelink_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(prelink_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(prelink_MAKE_CMD) DESTDIR=$(prelink_PKG_INSTALL_DIR) install
	@if [ -f $(prelink_DDIR)/prelink.conf ]; then \
		cp -f $(prelink_DDIR)/prelink.conf $(prelink_PKG_INSTALL_DIR)/etc; \
	fi
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)


ifeq (y,$(TSWO_SOFTWARE_prelink))
SOFTWARE+=prelink
endif


# vim:set noexpandtab filetype=make: 
