# Copyright (C) 2007-2010 Timesys Corporation
# shadow rules

# Define common macros for this shadow from include/common.mk
$(eval $(call COMMON_SETUP,shadow))

ifeq (y,$(TSWO_SOFTWARE_pam))
shadow-patch: pam-host-install
endif


$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring shadow $(shadow_VERSION))
	$(call CONFIG_UPDATE,$(shadow_DDIR))
	cd $(shadow_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(shadow_BUILD_OPTIONS) \
		./configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=/ \
        	--exec-prefix=/ \
			--bindir=/bin \
			--sbindir=/sbin \
			--libdir=/lib \
			--libexecdir=/lib \
			--sysconfdir=/etc \
			--datadir=/usr/share \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--includedir=/usr/include \
			$(TARGET_CONFIGURE_OPTIONS) \
        	$(shadow_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_pre_built:
ifeq (disabled,$(TSWO_SOFTWARE_cracklib))
	-cp -f $(shadow_DDIR)/etc/pam.d/passwd.cracklib $(shadow_DDIR)/etc/pam.d/passwd 
	-cp -f $(shadow_DDIR)/etc/pam.d/passwd.cracklib $(shadow_DDIR)/etc/pam.d/passwd
	-cp -f $(shadow_DDIR)/etc/pam.d/login.cracklib $(shadow_DDIR)/etc/pam.d/login
endif
ifeq (y,$(TSWO_SOFTWARE_pam))
	-cp -f $(shadow_DDIR)/etc/login.defs.pam $(shadow_DDIR)/etc/login.defs
endif
	@touch $@

$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_configuration_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_configuration_packaged: DESTDIR=$(shadow_PKG_INSTALL_DIR)
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_configuration_rfs_installed
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_configuration_packaged
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_configuration_rfs_installed $(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_configuration_packaged:
	mkdir -p $(DESTDIR)/var/spool/mail
	mkdir -p $(DESTDIR)/var/mail
	mkdir -p $(DESTDIR)/etc/init.d
	-cp -f $(shadow_SRC_DL_DIR)/S99-pwconv $(DESTDIR)/etc/init.d/
	chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

# if busybox is enabled, shadow must be set up last
ifeq (y,$(TSWO_SOFTWARE_busybox))
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_pre_rfs_installed: $(BUILD_DIR)/busybox-$(busybox_VERSION)/.stamp_post_rfs_installed
endif

ifeq (y,$(TSWO_SOFTWARE_pam))
shadow-patch: pam-host-install
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_pre_rfs_installed: $(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_post_rfs_installed
endif

# add to software list
ifeq (y,$(TSWO_SOFTWARE_shadow))
SOFTWARE+=shadow
endif

# vim:set noexpandtab: 
