# Copyright (C) 2007-2010 Timesys Corporation
# unionfs-fuse rules

# Define common macros for unionfs-fuse from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,unionfs-fuse))


$(BUILD_DIR)/unionfs-fuse-$(unionfs-fuse_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/unionfs-fuse-$(unionfs-fuse_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing unionfs-fuse $(unionfs-fuse_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/{sbin,share/man/man8}
	cd $(unionfs-fuse_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(unionfs-fuse_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(unionfs-fuse_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR)/usr install
	@touch $@

$(BUILD_DIR)/unionfs-fuse-$(unionfs-fuse_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/unionfs-fuse-$(unionfs-fuse_VERSION)/.stamp_packaged:
	@mkdir -p $(unionfs-fuse_PKG_INSTALL_DIR)/usr/{sbin,share/man/man8}
	cd $(unionfs-fuse_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(unionfs-fuse_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(unionfs-fuse_MAKE_CMD) DESTDIR=$(unionfs-fuse_PKG_INSTALL_DIR)/usr install
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_unionfs-fuse))
SOFTWARE+=unionfs-fuse
endif


# vim:set noexpandtab filetype=make: 
