# Copyright (C) 2007-2010 Timesys Corporation
# usbmount rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,usbmount))

$(BUILD_DIR)/usbmount-$(usbmount_VERSION)/.stamp_configured:
	@cd $(usbmount_DDIR) && \
		$(SED) -i -re "s/^(FILESYSTEMS=\".*)\"/\1 vfat msdos\"/" usbmount.conf
	@touch $@
$(BUILD_DIR)/usbmount-$(usbmount_VERSION)/.stamp_built:
	@touch $@
$(BUILD_DIR)/usbmount-$(usbmount_VERSION)/.stamp_host_installed:
	@touch $@
$(BUILD_DIR)/usbmount-$(usbmount_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing usbmount $(usbmount_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(usbmount_DDIR) && \
    	$(INSTALL) -d $(TSWO_RFS_INSTALL_DIR)/var/run/usbmount && \
    	$(INSTALL) -m 0755 -D usbmount $(TSWO_RFS_INSTALL_DIR)/sbin/usbmount && \
        $(INSTALL) -m 0644 -D usbmount.conf $(TSWO_RFS_INSTALL_DIR)/etc/usbmount/usbmount.conf
	@touch $@
$(BUILD_DIR)/usbmount-$(usbmount_VERSION)/.stamp_packaged:
	cd $(usbmount_DDIR) && \
    	$(INSTALL) -d $(usbmount_PKG_INSTALL_DIR)/var/run/usbmount && \
    	$(INSTALL) -m 0755 -D usbmount $(usbmount_PKG_INSTALL_DIR)/sbin/usbmount && \
        $(INSTALL) -m 0644 -D usbmount.conf $(usbmount_PKG_INSTALL_DIR)/etc/usbmount/usbmount.conf
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_usbmount))
SOFTWARE+=usbmount
endif


# vim:set noexpandtab filetype=make: 
