# Copyright (C) 2007-2010 Timesys Corporation
# bzip2 rules

# Define common macros for this bzip2 from include/common.mk
$(eval $(call COMMON_SETUP,bzip2))

$(BUILD_DIR)/bzip2-$(bzip2_VERSION)/.stamp_configured:
	@touch $(@)

$(BUILD_DIR)/bzip2-$(bzip2_VERSION)/.stamp_post_built:
	$(call PRINT_INFO,building bzip2 $(bzip2_VERSION))
	cd $(bzip2_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(TARGET_ALIASES) \
			$(TARGET_BUILD_OPTIONS) \
      $(bzip2_BUILD_OPTIONS) \
		$(bzip2_MAKE_CMD) -f Makefile-libbz2_so \
			clean all
	cd $(bzip2_DDIR) && \
		ln -s libbz2.so.1.0 libbz2.so
	@touch $(@)

$(BUILD_DIR)/bzip2-$(bzip2_VERSION)/.stamp_post_rfs_installed:
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/lib
	cd $(bzip2_DDIR) && \
		cp -fP libbz2.so* $(TSWO_RFS_INSTALL_DIR)/usr/lib/
	@touch $@

$(BUILD_DIR)/bzip2-$(bzip2_VERSION)/.stamp_post_host_installed:
	mkdir -p $(TSWO_HOST_INSTALL_DIR)/usr/lib
	cd $(bzip2_DDIR) && \
		cp -fP libbz2.so* $(TSWO_HOST_INSTALL_DIR)/usr/lib/
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/bin/b{unzip2,zcat,zip2,zip2recover}
	@touch $@

$(BUILD_DIR)/bzip2-$(bzip2_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/bzip2-$(bzip2_VERSION)/.stamp_packaged_shared
$(BUILD_DIR)/bzip2-$(bzip2_VERSION)/.stamp_packaged_shared: $(BUILD_DIR)/bzip2-$(bzip2_VERSION)/.stamp_post_built
	mkdir -p $(bzip2_PKG_INSTALL_DIR)/usr/lib
	cd $(bzip2_DDIR) && \
		cp -fP libbz2.so* $(bzip2_PKG_INSTALL_DIR)/usr/lib/
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_bzip2))
SOFTWARE+=bzip2
endif


# vim:set noexpandtab: 
