# Copyright (C) 2007-2010 Timesys Corporation
# evolution-data-server rules

# Define common macros for evolution-data-server from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,evolution-data-server))

ifeq (y,$(TSWO_SOFTWARE_libgweather))
evolution-data-server-patch: libgweather-host-install
else
evolution-data-server_CONFIGURE_OPTIONS+=--without-weather
endif

ifeq (y,$(TSWO_SOFTWARE_nss))
evolution-data-server-patch: nss-host-install
evolution-data-server_CONFIGURE_OPTIONS+=--with-nss-includes=$(TSWO_HOST_INSTALL_DIR)/include/nss --with-nss-libs=$(TSWO_HOST_INSTALL_DIR)/lib/nss --with-nspr-includes=$(TSWO_HOST_INSTALL_DIR)/include --with-nspr-libs=$(TSWO_HOST_INSTALL_DIR)/lib
else
evolution-data-server_CONFIGURE_OPTIONS+=--enable-ssl=no
endif

ifeq (y,$(TSWO_SOFTWARE_libgnome-keyring))
evolution-data-server-patch: libgnome-keyring-host-install
else
evolution-data-server_CONFIGURE_OPTIONS+=--disable-gnome-keyring
endif

$(BUILD_DIR)/evolution-data-server-$(evolution-data-server_VERSION)/.stamp_pre_built:
	cp -f $(evolution-data-server_SRC_DL_DIR)/iconv-detect.h $(evolution-data-server_DDIR)/
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_evolution-data-server))
SOFTWARE+=evolution-data-server
endif


# vim:set noexpandtab filetype=make: 
