# Copyright (C) 2007-2010 Timesys Corporation
# expat rules

# Define common macros for this expat from include/common.mk
$(eval $(call COMMON_SETUP,expat))

$(BUILD_DIR)/expat-$(expat_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/xmlwf
	@touch $@

$(BUILD_DIR)/expat-$(expat_VERSION)/.stamp_fake_host_installed:
	$(call PRINT_INFO,building expat temporary host installation)
	mkdir -p $(@D)/fake_host_build
	$(INFLATE$(suffix $(expat_SOURCE))) $(expat_SRC_DL_DIR)/$(expat_SOURCE) | \
		$(TAR) -C $(@D)/fake_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(expat_PATCHES),$(call APPLY_PATCH,$(@D)/fake_host_build/$(expat_WORKINGDIR),$(expat_SRC_DL_DIR)/$(patch)))
	@cd $(expat_DIR)/fake_host_build/$(expat_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		./configure --prefix=$(TSWO_FAKE_INSTALL_DIR) \
			PKG_CONFIG_PATH=$(TSWO_FAKE_INSTALL_DIR)/lib/pkgconfig
	@cd $(expat_DIR)/fake_host_build/$(expat_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE)
	@cd $(expat_DIR)/fake_host_build/$(expat_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE) install
	@rm -f $(TSWO_FAKE_INSTALL_DIR)/bin/xmlwf
	@touch $@
expat-fake-host-install: expat-unpack $(BUILD_DIR)/expat-$(expat_VERSION)/.stamp_fake_host_installed


# add to software list
ifeq (y,$(TSWO_SOFTWARE_expat))
SOFTWARE+=expat
endif


# vim:set noexpandtab: 
