# Copyright (C) 2007-2010 Timesys Corporation
# gnuplot rules

# Define common macros for gnuplot from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnuplot))

ifneq (y,$(strip $(TSWO_SOFTWARE_libX11)))
gnuplot_CONFIGURE_OPTIONS+=--with-x=no
else
gnuplot_CONFIGURE_OPTIONS+=--x-includes=" -I$(TSWO_HOST_INSTALL_DIR)/include -I$(TSWO_HOST_INSTALL_DIR)/usr/include "
gnuplot_CONFIGURE_OPTIONS+=--x-libraries=" -L$(TSWO_HOST_INSTALL_DIR)/lib -L$(TSWO_HOST_INSTALL_DIR)/usr/lib "

gnuplot-patch: libX11-host-install
endif

$(BUILD_DIR)/gnuplot-$(gnuplot_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/gnuplot-$(gnuplot_VERSION)/.stamp_pre_built:
	cd $(gnuplot_DDIR) && \
		$(MAKE) -C docs CC=cc CFLAGS= CPPFLAGS=
	cd $(gnuplot_DDIR) && \
		$(SED) -i.orig -re 's/demo tutorial//g' Makefile
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnuplot))
SOFTWARE+=gnuplot
endif


# vim:set noexpandtab filetype=make: 
