# Copyright (C) 2007-2010 Timesys Corporation
# icu rules

# Define common macros for icu from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,icu))

ifeq ("3.8.1",$(TSWO_icu_VERSION))
$(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_pre_configured: $(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_native_bin
else
$(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_pre_configured: $(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_host_built
icu_CONFIGURE_OPTIONS+=--with-cross-build=$(BUILD_DIR)/icu-$(icu_VERSION)/icu-host-build/$(icu_WORKINGDIR)
endif

$(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_host_built:
	$(call PRINT_INFO,building icu host copy)
	mkdir -p $(@D)/icu-host-build
	$(INFLATE$(suffix $(icu_SOURCE))) $(icu_SRC_DL_DIR)/$(icu_SOURCE) | \
		$(TAR) -C $(@D)/icu-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(icu_PATCHES),$(call APPLY_PATCH,$(@D)/icu-host-build/$(icu_WORKINGDIR),$(icu_SRC_DL_DIR)/$(patch)))
	cd $(@D)/icu-host-build/$(icu_WORKINGDIR) && \
		./configure \
			CFLAGS=-fPIC --enable-static --disable-shared --disable-threads && \
		make
	@touch $@

$(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_native_bin:
	cd $(icu_DDIR) && \
		./configure \
			CFLAGS=-fPIC --enable-static --disable-shared --disable-threads && \
		make
	cd $(icu_DDIR) && \
		cp -rf bin bin.native
	cd $(icu_DDIR) && \
		make distclean
	cd $(icu_DDIR) && \
		cp -rf bin.native bin
	cd $(icu_DDIR) && \
		$(SED) -i -re 's/ tools / /' Makefile.in
	@touch $@

$(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/bin/uconv
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{makeconv,genrb,gencfu,gencnval,icuinfo,genctd,derb,pkgdata,genbrk}
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/{gencmn,genuca,gensprep,genccode,gennorm2,icupkg}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_icu))
SOFTWARE+=icu
endif


# vim:set noexpandtab filetype=make: 
