# Copyright (C) 2007-2010 Timesys Corporation
# libcap rules

# Define common macros for this libcap from include/common.mk
$(eval $(call COMMON_SETUP,libcap))

$(BUILD_DIR)/libcap-$(libcap_VERSION)/.stamp_configured:
	touch -c $(libcap_DDIR)/libcap/cap_names.sed
	cd $(libcap_DDIR) && \
		sed -i -re "s/\|\W+indent\W+\-kr//" libcap/Makefile
	@touch $@

$(BUILD_DIR)/libcap-$(libcap_VERSION)/.stamp_built:
	$(call PRINT_INFO,building libcap $(libcap_VERSION))
	cd $(libcap_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(libcap_MAKE_CMD) \
        $(libcap_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/libcap-$(libcap_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing libcap $(libcap_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(libcap_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(libcap_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(libcap_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/libcap-$(libcap_VERSION)/.stamp_packaged:
	cd $(libcap_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(libcap_MAKE_CMD) DESTDIR=$(libcap_PKG_INSTALL_DIR) install \
        $(libcap_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/libcap-$(libcap_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing libcap $(libcap_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(libcap_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(libcap_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install \
        $(libcap_BUILD_OPTIONS)
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{capsh,getpcaps}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libcap))
SOFTWARE+=libcap
endif


# vim:set noexpandtab: 
