# Copyright (C) 2007-2010 Timesys Corporation
# libdbi-drivers rules

# Define common macros for libdbi-drivers from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libdbi-drivers))

ifeq (y,$(TSWO_SOFTWARE_mysql))
libdbi-drivers-patch: mysql-host-install
libdbi-drivers_CONFIGURE_OPTIONS+=--with-mysql
libdbi-drivers_CONFIGURE_OPTIONS+=--with-mysql-incdir=$(TSWO_HOST_INSTALL_DIR)/include
libdbi-drivers_CONFIGURE_OPTIONS+=--with-mysql-libdir=$(TSWO_HOST_INSTALL_DIR)/lib
endif
ifeq (y,$(TSWO_SOFTWARE_sqlite))
libdbi-drivers-patch: sqlite-host-install
libdbi-drivers_CONFIGURE_OPTIONS+=--with-sqlite
libdbi-drivers_CONFIGURE_OPTIONS+=--with-sqlite-incdir=$(TSWO_HOST_INSTALL_DIR)/include
libdbi-drivers_CONFIGURE_OPTIONS+=--with-sqlite-libdir=$(TSWO_HOST_INSTALL_DIR)/lib
endif
ifeq (y,$(TSWO_SOFTWARE_sqlite3))
libdbi-drivers-patch: sqlite3-host-install
libdbi-drivers_CONFIGURE_OPTIONS+=--with-sqlite3
libdbi-drivers_CONFIGURE_OPTIONS+=--with-sqlite3-incdir=$(TSWO_HOST_INSTALL_DIR)/include
libdbi-drivers_CONFIGURE_OPTIONS+=--with-sqlite3-libdir=$(TSWO_HOST_INSTALL_DIR)/lib
endif


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libdbi-drivers))
SOFTWARE+=libdbi-drivers
endif


# vim:set noexpandtab filetype=make: 
