# Copyright (C) 2007-2010 Timesys Corporation
# libwbxml rules

# Define common macros for libwbxml from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libwbxml))

libwbxml-patch: cmake-host-build

$(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring libwbxml $(libwbxml_VERSION))
	mkdir -p $(libwbxml_DDIR)/target-build
	cd $(libwbxml_DDIR)/target-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(CMAKE) \
        $(libwbxml_BUILD_OPTIONS) \
        	$(libwbxml_CONFIGURE_OPTIONS) \
		..
	@touch $@

$(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_built:
	$(call PRINT_INFO,building libwbxml $(libwbxml_VERSION))
	cd $(libwbxml_DDIR)/target-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(libwbxml_BUILD_OPTIONS) \
		$(libwbxml_MAKE_CMD)
	@touch $@

$(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_host_installed: DESTDIR=$(TSWO_HOST_INSTALL_DIR)
$(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_packaged: DESTDIR=$(libwbxml_PKG_INSTALL_DIR)
$(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_host_installed $(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,installing libwbxml $(libwbxml_VERSION) to $(DESTDIR))
	@mkdir -p $(DESTDIR)
	cd $(libwbxml_DDIR)/target-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(libwbxml_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(libwbxml_MAKE_CMD) DESTDIR=$(DESTDIR) install
	@touch $@


$(BUILD_DIR)/libwbxml-$(libwbxml_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{xml2wbxml,wbxml2xml}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libwbxml))
SOFTWARE+=libwbxml
endif


# vim:set noexpandtab filetype=make: 
