# Copyright (C) 2007-2010 Timesys Corporation
# mysql rules

# Define common macros for mysql from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mysql))


$(BUILD_DIR)/mysql-$(mysql_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post RFS install steps for mysql)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(mysql_SRC_DL_DIR)/S51-mysql $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S51-mysql
	@touch $@

$(BUILD_DIR)/mysql-$(mysql_VERSION)/.stamp_setup_initscripts: $(BUILD_DIR)/mysql-$(mysql_VERSION)/.stamp_packaged
	$(call PRINT_INFO,setting up mysql init script)
	mkdir -p $(mysql_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(mysql_SRC_DL_DIR)/S51-mysql $(mysql_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(mysql_PKG_INSTALL_DIR)/etc/init.d/S51-mysql
	@touch $@

$(BUILD_DIR)/mysql-$(mysql_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/mysql-$(mysql_VERSION)/.stamp_setup_initscripts
# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mysql))
SOFTWARE+=mysql
endif


# vim:set noexpandtab filetype=make: 
