# Copyright (C) 2007-2010 Timesys Corporation

# Define common macros for nmealib from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,nmealib))


$(BUILD_DIR)/nmealib-$(nmealib_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/nmealib-$(nmealib_VERSION)/.stamp_built:
	$(call PRINT_INFO,building nmealib $(nmealib_VERSION))
	cd $(nmealib_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(nmealib_MAKE_CMD) \
		  $(TARGET_ALIASES) \
		  $(TARGET_BUILD_OPTIONS) \
      $(nmealib_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/nmealib-$(nmealib_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing nmealib $(nmealib_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/{include,lib}
	cd $(nmealib_DDIR) && \
		cp -rf include/nmea $(TSWO_RFS_INSTALL_DIR)/usr/include && \
		cp -rf lib/* $(TSWO_RFS_INSTALL_DIR)/usr/lib/
	@touch $@

$(BUILD_DIR)/nmealib-$(nmealib_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing nmealib $(nmealib_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)/usr/{include,lib}
	cd $(nmealib_DDIR) && \
		cp -rf include/nmea $(TSWO_HOST_INSTALL_DIR)/usr/include && \
		cp -rf lib/* $(TSWO_HOST_INSTALL_DIR)/usr/lib/
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/nmealib-$(nmealib_VERSION)/.stamp_packaged:
	@mkdir -p $(nmealib_PKG_INSTALL_DIR)/usr/{include,lib}
	cd $(nmealib_DDIR) && \
		cp -rf include/nmea $(nmealib_PKG_INSTALL_DIR)/usr/include && \
		cp -rf lib/* $(nmealib_PKG_INSTALL_DIR)/usr/lib/
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_nmealib))
SOFTWARE+=nmealib
endif


# vim:set noexpandtab filetype=make: 
