# Copyright (C) 2007-2010 Timesys Corporation
# orc rules

# Define common macros for orc from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,orc))

orc-host-install: orc-host-build
orc-host-build: $(BUILD_DIR)/orc-$(orc_VERSION)/.stamp_host_built
$(BUILD_DIR)/orc-$(orc_VERSION)/.stamp_host_built:
	mkdir -p $(@D)/orc-host-build
	$(INFLATE$(suffix $(orc_SOURCE))) $(orc_SRC_DL_DIR)/$(orc_SOURCE) | \
		$(TAR) -C $(@D)/orc-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(orc_PATCHES),$(call APPLY_PATCH,$(@D)/orc-host-build/$(orc_WORKINGDIR),$(orc_SRC_DL_DIR)/$(patch)))
	cd $(@D)/orc-host-build/$(orc_WORKINGDIR) && \
		./configure \
			--prefix=$(TSWO_FAKE_INSTALL_DIR) && \
		make && \
		make install
	@touch $@

$(BUILD_DIR)/orc-$(orc_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/orcc
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_orc))
SOFTWARE+=orc
endif


# vim:set noexpandtab filetype=make: 
