# Copyright (C) 2007-2010 Timesys Corporation
# poppler rules

# Define common macros for poppler from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,poppler))

poppler_OPTIONAL_DEPS=freetype cairo libpng glib2 gtk lcms lcms2 libxml2 curl
poppler_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(poppler_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
poppler-patch: $(poppler_OPTIONAL_DEPS_TARGETS)

ifeq (y,$(TSWO_SOFTWARE_curl))
poppler_CONFIGURE_OPTIONS+=--enable-libcurl
endif

$(BUILD_DIR)/poppler-$(poppler_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{pdftops,pdffonts,pdftoppm,pdftoabw,pdfimages,pdftohtml,pdftotext,pdfinfo}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_poppler))
SOFTWARE+=poppler
endif


# vim:set noexpandtab filetype=make: 
