# Copyright (C) 2007-2010 Timesys Corporation
# popt rules

# Define common macros for this popt from include/common.mk
$(eval $(call COMMON_SETUP,popt))

# THIS REQUIRES WCHAR

POPT_FAKE_INSTALL_DIR=$(BUILD_DIR)/popt-$(popt_VERSION)/popt_host_build/popt-$(popt_VERSION)
$(BUILD_DIR)/popt-$(popt_VERSION)/.stamp_popt_fake_installed:
	$(call PRINT_INFO,installing popt for the host)
	mkdir -p $(@D)/popt_host_build
	$(INFLATE$(suffix $(popt_SOURCE))) $(popt_SRC_DL_DIR)/$(popt_SOURCE) | \
		$(TAR) -C $(@D)/popt_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(popt_PATCHES),$(call APPLY_PATCH,$(POPT_FAKE_INSTALL_DIR),$(popt_SRC_DL_DIR)/$(patch)))
	cd $(POPT_FAKE_INSTALL_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(HOST_BUILD_OPTIONS) \
		./configure \
			--prefix=$(TSWO_FAKE_INSTALL_DIR) \
			--libdir=$(TSWO_FAKE_INSTALL_DIR)/lib \
			--disable-rpath \
			$(HOST_CONFIGURE_OPTIONS)
	cd $(POPT_FAKE_INSTALL_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE)
	cd $(POPT_FAKE_INSTALL_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE) install usrlibdir=$(TSWO_FAKE_INSTALL_DIR)/lib
	@touch $@

popt-fake-install: popt-fetch $(BUILD_DIR)/popt-$(popt_VERSION)/.stamp_popt_fake_installed

# add to software list
ifeq (y,$(TSWO_SOFTWARE_popt))
SOFTWARE+=popt
endif


# vim:set noexpandtab: 
