# Copyright (C) 2007-2010 Timesys Corporation
# readline rules

# Define common macros for this readline from include/common.mk
$(eval $(call COMMON_SETUP,readline))

READLINE_HOST_INSTALL_DIR=$(BUILD_DIR)/readline-$(readline_VERSION)/readline-host-install
readline-host-build: readline-host-install $(BUILD_DIR)/readline-$(readline_VERSION)/.stamp_host_build
$(BUILD_DIR)/readline-$(readline_VERSION)/.stamp_host_build: 
	$(call PRINT_INFO,building readline host copy)
	mkdir -p $(@D)/readline-host-build
	$(INFLATE$(suffix $(readline_SOURCE))) $(readline_SRC_DL_DIR)/$(readline_SOURCE) | \
		$(TAR) -C $(@D)/readline-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(readline_PATCHES),$(call APPLY_PATCH,$(@D)/readline-host-build/$(readline_WORKINGDIR),$(readline_SRC_DL_DIR)/$(patch)))
	cd $(@D)/readline-host-build/$(readline_WORKINGDIR) && \
		./configure --prefix=$(READLINE_HOST_INSTALL_DIR) && \
		$(MAKE) && \
		$(MAKE) install
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_readline))
SOFTWARE+=readline
endif


# vim:set noexpandtab: 
