# Copyright (C) 2007-2010 Timesys Corporation
# vixie-cron rules

# Define common macros for this vixie-cron from include/common.mk
$(eval $(call COMMON_SETUP,vixie-cron))

ifneq (y,$(TSWO_SOFTWARE_pam))
vixie-cron_CONFIGURE_OPTIONS+=--without-pam
else
vixie-cron-patch: pam-host-install
endif


$(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_pre_configured:
	@cd $(vixie-cron_DDIR) && \
		if [ ! -f configure ]; then autoreconf -i;fi
	@cd $(vixie-cron_DDIR) && \
		chmod +x config.{guess,sub} configure depcomp install-sh missing
	@touch $@

$(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_files_packaged: DESTDIR=$(vixie-cron_PKG_INSTALL_DIR)
$(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/etc/{cron.d,init.d}
	-cp -f $(vixie-cron_SRC_DL_DIR)/S26-crond $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

$(BUILD_DIR)/vixie-cron-$(vixie-cron_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_vixie-cron))
SOFTWARE+=vixie-cron
endif


# vim:set noexpandtab: 
