# Copyright (C) 2007-2010 Timesys Corporation
# zip rules

# Define common macros for this zip from include/common.mk
$(eval $(call COMMON_SETUP,zip))

$(BUILD_DIR)/zip-$(zip_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/zip-$(zip_VERSION)/.stamp_built:
	$(call PRINT_INFO,building zip $(zip_VERSION))
	cd $(zip_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(zip_BUILD_OPTIONS) \
		$(MAKE) -f unix/Makefile generic
	@touch $@

$(BUILD_DIR)/zip-$(zip_VERSION)/.stamp_packaged:
	cd $(zip_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(zip_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(zip_MAKE_CMD) -f unix/Makefile prefix=$(zip_PKG_INSTALL_DIR)/usr install
	@touch $@
$(BUILD_DIR)/zip-$(zip_VERSION)/.stamp_host_installed:
	@touch $@
$(BUILD_DIR)/zip-$(zip_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing zip $(zip_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(zip_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(zip_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(zip_MAKE_CMD) -f unix/Makefile prefix=$(TSWO_RFS_INSTALL_DIR)/usr install
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_zip))
SOFTWARE+=zip
endif


# vim:set noexpandtab: 
