# Copyright (C) 2007-2009 Timesys Corporation

$(eval $(call COMMON_SETUP,ccache))

define SETUP_CCACHE
	-cd $(TSWO_HOST_INSTALL_DIR) && \
		mkdir -p ccache && \
		cd ccache && \
		rm -f * && \
		if [ -x ../bin/$(TSWO_FULL_TARGET_NAME)-gcc ]; then ln -sf ../bin/ccache $(TSWO_FULL_TARGET_NAME)-gcc;fi && \
		if [ -x ../bin/$(TSWO_FULL_TARGET_NAME)-g++ ]; then ln -sf ../bin/ccache $(TSWO_FULL_TARGET_NAME)-g++;fi && \
		ln -sf ../bin/ccache gcc && \
		ln -sf ../bin/ccache g++ && \
		ln -sf ../bin/ccache $(TSWO_HOST_NAME)-gcc && \
		ln -sf ../bin/ccache $(TSWO_HOST_NAME)-g++
endef

$(BUILD_DIR)/ccache-$(ccache_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring ccache $(ccache_VERSION))
	cd $(@D)/ccache-$(ccache_VERSION)/ && \
        $(ccache_BUILD_OPTIONS) \
		./configure \
		--prefix=$(TSWO_HOST_INSTALL_DIR)/ \
        $(ccache_CONFIGURE_OPTIONS)
	@touch $(@)

$(BUILD_DIR)/ccache-$(ccache_VERSION)/.stamp_built:
	$(call PRINT_INFO,building ccache $(ccache_VERSION))
	cd $(ccache_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(ccache_MAKE_CMD) \
        $(ccache_BUILD_OPTIONS)
	@touch $(@)

$(BUILD_DIR)/ccache-$(ccache_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing ccache into host environment)
	cd $(@D)/ccache-$(ccache_VERSION)/ && \
		$(ccache_MAKE_CMD) install
	$(call SETUP_CCACHE)
	@touch $(@)

$(BUILD_DIR)/ccache-$(ccache_VERSION)/.stamp_rfs_installed:
	@touch $(@)

$(BUILD_DIR)/ccache-$(ccache_VERSION)/.stamp_packaged:
	@touch $@

# add to host utilities list
ifeq (y,$(TSWO_HOSTTOOL_ccache))
HOST_UTILITIES+=ccache
endif

# vim:set noexpandtab: 
