# Copyright (C) 2007-2009 Timesys Corporation
# cramfs make rules

# Define common macros for this cramfs from include/common.mk
$(eval $(call COMMON_SETUP,cramfs))


$(BUILD_DIR)/cramfs-$(cramfs_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/cramfs-$(cramfs_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/cramfs-$(cramfs_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,packaging cramfs)
	mkdir -p $(cramfs_PKG_INSTALL_DIR)/bin
	@cd $(cramfs_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
		$(cramfs_MAKE_CMD) CC=$(TSWO_FULL_TARGET_NAME)-gcc clean all
	@cd $(cramfs_DDIR) && \
		cp cramfsck mkcramfs $(cramfs_PKG_INSTALL_DIR)/bin/
	@touch $@

$(BUILD_DIR)/cramfs-$(cramfs_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing cramfs to the host)
	mkdir -p $(TSWO_HOST_INSTALL_DIR)/bin/
	@cd $(cramfs_DDIR) && \
		$(HOST_BUILD_OPTIONS) \
		$(cramfs_MAKE_CMD) clean all
	@cd $(cramfs_DDIR) && \
		cp cramfsck mkcramfs $(TSWO_HOST_INSTALL_DIR)/bin/
	@touch $@

$(BUILD_DIR)/cramfs-$(cramfs_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing cramfs to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/bin/
	@cd $(cramfs_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
		$(cramfs_MAKE_CMD) CC=$(TSWO_FULL_TARGET_NAME)-gcc clean all
	@cd $(cramfs_DDIR) && \
		cp cramfsck mkcramfs $(TSWO_RFS_INSTALL_DIR)/bin/
	@touch $@

# add to toolchain list
ifeq (y,$(strip $(TSWO_HOSTTOOL_cramfs)))
HOST_UTILITIES+=cramfs
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_cramfs)))
SOFTWARE+=cramfs
endif


# vim:set noexpandtab: 
