# Copyright (C) 2007-2009 Timesys Corporation

$(eval $(call COMMON_SETUP,fakeroot))

$(BUILD_DIR)/fakeroot-$(fakeroot_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing fakeroot into host environment)
	@cd $(@D)/fakeroot-$(fakeroot_VERSION)/ && \
		$(fakeroot_MAKE_CMD) install
	@touch $@

$(BUILD_DIR)/fakeroot-$(fakeroot_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring fakeroot $(fakeroot_VERSION))
	@cd $(@D)/fakeroot-$(fakeroot_VERSION)/ && \
        $(fakeroot_BUILD_OPTIONS) \
		./configure \
		--prefix=$(TSWO_FAKE_INSTALL_DIR)/ \
        $(fakeroot_CONFIGURE_OPTIONS)
	@touch $(@)

$(BUILD_DIR)/fakeroot-$(fakeroot_VERSION)/.stamp_built:
	$(call PRINT_INFO,building fakeroot $(fakeroot_VERSION))
	cd $(fakeroot_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(fakeroot_MAKE_CMD) \
        $(fakeroot_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/fakeroot-$(fakeroot_VERSION)/.stamp_rfs_installed:
	@touch $(@)

ifeq (y,$(TSWO_HOSTTOOL_fakeroot))
HOST_UTILITIES+=fakeroot
endif

# vim:set noexpandtab: 
