# Copyright (C) 2007-2009 Timesys Corporation
# yaffs2 make rules

# Define common macros for this yaffs2 from include/common.mk
$(eval $(call COMMON_SETUP,yaffs2))


$(BUILD_DIR)/yaffs2-$(yaffs2_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/yaffs2-$(yaffs2_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,packaging yaffs2)
	mkdir -p $(yaffs2_PKG_INSTALL_DIR)/bin
	-cd $(yaffs2_DDIR)/utils && \
		make clean
	-cd $(yaffs2_DDIR)/ && \
		make clean
ifeq (y,$(strip $(TSWO_YAFFS_INCLUDE_KERNEL_MODULES)))
	cd $(yaffs2_DDIR)/ && \
		PATH=$(BUILD_PATH) \
		make \
		$(BUILD_DIR)/linux-$(kernel_VERSION)/ \
		ARCH=$(TSWO_KERNEL_ARCH) CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)-
	cd $(yaffs2_DDIR)/ && \
		PATH=$(BUILD_PATH) \
		make \
		$(BUILD_DIR)/linux-$(kernel_VERSION)/ \
		ARCH=$(TSWO_KERNEL_ARCH) CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)- \
		INSTALL_MOD_PATH=$(yaffs2_PKG_INSTALL_DIR) \
		modules_install
endif
	cd $(yaffs2_DDIR)/utils && \
		PATH=$(BUILD_PATH) \
		make \
		MAKETOOLS=$(TSWO_FULL_TARGET_NAME)-
	cd $(yaffs2_DDIR)/utils && \
		cp mkyaffs2image mkyaffsimage $(yaffs2_PKG_INSTALL_DIR)/bin
	@touch $@

$(BUILD_DIR)/yaffs2-$(yaffs2_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/yaffs2-$(yaffs2_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing yaffs2 to the host)
	-cd $(yaffs2_DDIR)/utils && \
		make clean
	cd $(yaffs2_DDIR)/utils && \
		make
	cd $(yaffs2_DDIR)/utils && \
		cp mkyaffs2image mkyaffsimage $(TSWO_HOST_INSTALL_DIR)/bin
	@touch $@

$(BUILD_DIR)/yaffs2-$(yaffs2_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing yaffs2 to the RFS)
	-cd $(yaffs2_DDIR)/utils && \
		make clean
	-cd $(yaffs2_DDIR)/ && \
		make clean
ifeq (y,$(strip $(TSWO_YAFFS_INCLUDE_KERNEL_MODULES)))
	cd $(yaffs2_DDIR)/ && \
		PATH=$(BUILD_PATH) \
		make \
		$(BUILD_DIR)/linux-$(kernel_VERSION)/ \
		ARCH=$(TSWO_KERNEL_ARCH) CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)-
	cd $(yaffs2_DDIR)/ && \
		PATH=$(BUILD_PATH) \
		make \
		$(BUILD_DIR)/linux-$(kernel_VERSION)/ \
		ARCH=$(TSWO_KERNEL_ARCH) CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)- \
		INSTALL_MOD_PATH=$(TSWO_RFS_INSTALL_DIR) \
		modules_install
endif
	cd $(yaffs2_DDIR)/utils && \
		PATH=$(BUILD_PATH) \
		make \
		MAKETOOLS=$(TSWO_FULL_TARGET_NAME)-
	cd $(yaffs2_DDIR)/utils && \
		cp mkyaffs2image mkyaffsimage $(TSWO_RFS_INSTALL_DIR)/bin
	@touch $@


# add to host utilities list
ifeq (y,$(strip $(TSWO_HOSTTOOL_yaffs2)))
HOST_UTILITIES+=yaffs2
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_yaffs2)))
SOFTWARE+=yaffs2
endif


# vim:set noexpandtab: 
